Changes in libsoup from 3.0.7 to 3.1.1:

* Reintroduce some thread-safety to SoupSession (see https://libsoup.org/libsoup-3.0/client-thread-safety.html) [Carlos Garcia Campos]
* Add SoupServerMessage:tls-peer-certificate and SoupServerMessage:tls-peer-certificate-errors [Ignacio Casal Quinteiro]
* Port docs to gi-docgen [Maximiliano Sandoval R]
* Update documentation [Patrick Griffis]

Changes in libsoup from 3.0.6 to 3.0.7:

* Fix leak in SoupAuthNTLM [Milan Crha]
* Fix constructing SoupAuthNTLM objects [Milan Crha]
* Disable mutual negotiation in SoupAuthNegotiate [Michael Catanzaro]
* http2: Do not advertise the `h2` protocool for proxy connections [Carlos Garcia Campos]
* http2: Remove left-over headers when HTTP/1 redirects to HTTP/2 [Carlos Garcia Campos]
* http2: Handle HTTP_1_1_REQUIRED error [Carlos Garcia Campos]
* http2: Read request bodies synchronously for sync requests [Carlos Garcia Campos]
* http2: Properly handle server sending shut down GOAWAY [Carlos Garcia Campos]
* tests: Remove dependency on Apache's PHP module [Carlos Garcia Campos]
* tests: Depend upon Apache's http2 module [Carlos Garcia Campos]

Changes in libsoup from 3.0.5 to 3.0.6:

* Misc HTTP/2 fixes [Carlos Garcia Campos]
* Add PUT/POST support to examples/get [Carlos Garcia Campos]
* Add `--user-agent` option to examples/get [Carlos Garcia Campos]
* Misc meson improvements [Nirbheek Chauhan]
* Fix build with Visual Studio [Chun-wei Fan]

Changes in libsoup from 3.0.4 to 3.0.5:

* Misc HTTP/2 fixes [Carlos Garcia Campos]
* Fix missing files for installed-tests [Simon McVittie]
* Fix SoupServer not properly handling invalid percent encoded paths [Ignacio Casal Quinteiro]
* Fix other areas not properly handling invalid percent encoded paths [Patrick Griffis]
* Fix SoupLogger:max-body-size of 0 meaning log nothing [Patrick Griffis]

Changes in libsoup from 3.0.3 to 3.0.4:

* Fix HTTP/2 not properly handling socket timeouts [Carlos Garcia Campos]
* Improvements to test reliablity [Simon McVittie]
* Fix cross-compiling to Windows [Melroy van den Berg]
* Fix tests with development glib-networking [Patrick Griffis]
* Expose soup_uri_copy() to Vala [Jens Georg]

Changes in libsoup from 3.0.2 to 3.0.3:

* Fix various HTTP/2 issues [Carlos Garcia Campos]

* Error when libsoup2 has been loaded before libsoup3 [Patrick Griffis]

* Fix memory leak when using TLS [Mart Raudsepp]

Changes in libsoup from 3.0.1 to 3.0.2:

* Add support for multiple auth challenges in one response [Patrick Griffis]

* Fix SoupCache test failures on 32bit [Patrick Griffis]

* Don't treat `-Wincompatible-pointer-types` as error
  The `glib-mkenums` tool sometimes triggered this [Patrick Griffis]

* Improve `gssapi` dependency handling [Nirbheek Chauhan]

* Fix undefined `ssize_t` on Windows [Chun-wei Fan]

* Updated translations: Hebrew

Changes in libsoup from 3.0.0 to 3.0.1:

* Move python overrides to upstream pygobject [Patrick Griffis]

* Fix minor build warnings [Patrick Griffis]

Changes in libsoup from 2.99.9 to 3.0.0:

* Remove unused dependency on libxml [Patrick Griffis]

* Use G_DECLARE_FINAL_TYPE when applicable and bump GLib dependency
  to 2.69.1 [Patrick Griffis]

* Add PyGObject overrides for SoupMessageHeaders to behave like a dict [Patrick Griffis]

* Fix soup_message_add_status_code_handler() in Vala [Rico Tzschichholz]

* Ensure that all header values are valid UTF-8, other encodings are not
  supported [Patrick Griffis]

* Support Content-Disposition headers missing a disposition-type [Patrick Griffis]

Changes in libsoup from 2.99.8 to 2.99.9:

    * Make soup_message_set_method() public API [Carlos Garcia Campos]

    * Make SoupMessage:http-version read only [Carlos Garcia Campos]

    * Prevent the same message being queued multiple times [Carlos Garcia Campos]

    * Allow completing SoupMessage::tls-interaction with NULL certificate [Carlos Garcia Campos]

    * Replace soup_server_set_ssl_cert_file() with soup_server_set_tls_certificate() [Carlos Garcia Campos]

    * Add SoupServer support for client certificates [Carlos Garcia Campos]

    * Fallback to building meson wrap of sqlite if not found [Xavier Claessens]

    * Add soup_message_get_tls_protocol_version() and soup_message_get_tls_ciphersuite_name() API [Carlos Garcia Campos]

Changes in libsoup from 2.99.7 to 2.99.8:

    * Enable HTTP/2 by default. The SOUP_FORCE_HTTP1 env var can disable for debugging
      [Carlos Garcia Campos]

    * Restrict advertising brotli decoding support to HTTPS [Patrick Griffis]

    * Add new API to handle client certificate authentication per-message as
      well as API to PKCS #11 PINs [Carlos Garcia Campos, Patrick Griffis]

    * Add new build features `http2_tests` and `pkcs11_tests` to more granularly control
      optional test dependencies [Patrick Griffis]

Changes in libsoup from 2.99.6 to 2.99.7:

    * Change SoupSession to only support one SoupSessionFeature of a given type [Patrick Griffis]

    * Remove soup_session_get_features() API [Patrick Griffis]

    * Numerous HTTP/2 fixes and improvements [Carlos Garcia Campos]

Changes in libsoup from 2.99.5 to 2.99.6:

    * Added HTTP/2 support. Enable by setting `SOUP_ENABLE_HTTP2` env var. [Patrick Griffis, Carlos Garcia Campos]

Changes in libsoup from 2.99.4 to 2.99.5:

    * Add soup_message_get_remote_address() API [Carlos Garcia Campos]

    * Fix preconnect stealing a connection [Carlos Garcia Campos]

    * Fix potential header issues when included in a C++ project [Patrick Griffis]

    * Disabling tests also disables Autobahn tests by default [Patrick Griffis]

Changes in libsoup from 2.99.3 to 2.99.4:

    * Rename SoupMessage:tls-certificate and SoupMessage:tls-certificate-errors
      to tls-peer-certificate and tls-peer-certificate-errors respectively [Carlos Garcia Campos]

    * Add SoupMessageMetrics API for tracking message events [Carlos Garcia Campos]

    * Add soup_message_get_connection_id() API [Patrick Griffis]

    * Add WebSocket fuzzing tests with Autobahn [Diego Pino]

    * Windows build fixes [Chun-wei Fan]

Changes in libsoup from 2.99.2 to 2.99.3:

    * Fix soup_session_get_async_result_message() [Patrick Griffis]

    * Fix SoupMessage not always emitting notify single on property change [Carlos Garcia Campos]

    * Fix soup_message_query_flags() not returning a boolean [Patrick Griffis]

    * Revert requiring a GPollableInputStream for request bodies [Carlos Garcia Campos]

    * Rename soup_message_body_free() and soup_message_headers_free() to
      soup_message_body_unref() and soup_message_headers_unref() [Carlos Garcia Campos]

    * Rename SoupMessage:options-ping property to SoupMessage:is-options-ping and add
      soup_message_new_options_ping(), soup_message_get_is_options_ping(), and
      soup_message_set_is_options_ping() [Carlos Garcia Campos]

    * Add SOUP_HTTP_2_0 SoupHTTPVersion to be used later [Patrick Griffis]

Changes in libsoup from 2.99.1 to 2.99.2:

    * Add new soup_session_send_and_read() API [Carlos Garcia Campos]

    * Add soup_session_get_async_result_message() API [Carlos Garcia Campos]

    * Remove soup_session_load_uri_bytes() and soup_session_read_uri() APIs [Carlos Garcia Campos]

    * Add soup_session_preconnect_async() API [Carlos Garcia Campos]

    * Add SoupSession:remote-connectable property to support proxying over unix sockets [Robert Ancell]

    * Restore support to SoupLogger for logging message bodies [Daniel Kolesa]

    * Update GLib dependency to 2.67.4

Changes in libsoup from 2.72.0 to 2.99.1:

    * This is a major ABI breaking release that can be installed in parallel with 2.7x.
      Numerous API have been changed which is documented on https://libsoup.org

Changes in libsoup from 2.71.1 to 2.72.0:

	* Fix critical after cancelling a message that failed auth [Carlos Garcia Campos]

	* Updated translations: Portuguese, Latvian, Italian, German, Hungarian

Changes in libsoup from 2.71.0 to 2.71.1:

	* Add support for 308 Premanent Redirect [Benjamin Kaufmann]

	* Add basic sysprof profiling for HTTP messages [Philip Withnall]

	* Various build fixes [Tom Schoonjans, Chun-wei Fan]

	* Updated translations: Korean, Finnish, Czech, Catalan, Croatian, Slovenian,
	                        Japanese, Serbian, Galician, Basque, Trukish, Indonesian,
							Friulian

Changes in libsoup from 2.70.0 to 2.71.0:

	* Redesign directory list returned for `file://` requests [Jan-Michael Brummer]

	* Add `SOUP_COOKIE_JAR_ACCEPT_GRANDFATHERED_THIRD_PARTY` policy [Carlos Garcia Campos]

	* Add soup_message_is_feature_disabled() API [Carlos Garcia Campos]

	* Fix potential leak when setting SoupSession:tls-interaction [Scott Hutton]

	* Fix building with Visual Studio [Chun-wei Fan]

	* Updated translations: Ukrainian, Romanian, Swedish, Polish, Lithuanian, Spanish,
	                        French, Chinese (China)

Changes in libsoup from 2.69.90 to 2.70.0:

	* Deprecate SoupSession:proxy-uri [Patrick Griffis]

	* Update translations: Persian, Finnish, Ukrainian

Changes in libsoup from 2.68.3 to 2.69.90:

	* Add new API to expose support for same-site cookies [Patrick Griffis]

	* Fix TRACE method not being considered safe and idempotent internally [Patrick
	  Griffis]

	* WebSockets: ensure a new connection is created for WebSocket requests [Carlos
	  Garcia Campos]

	* WebSockets: do not start the input source when IO is closing [Carlos Garcia
	  Campos]

	* Deprecate soup_date_to_timeval() [Claudio Saavedra]

	* build: Update glib requirement to 2.58 [Xavier Claessens]

	* Updated translations: Malay [Umarzuki Mochlis]

Changes in libsoup from 2.68.2 to 2.68.3:

        * Fixes to testing infrastructure [Simon McVittie]

        * Enable GNOME support in mingw [Fabiano Fidêncio]

        * Allow introspection in cross builds [Ross Burton]

        * Updated translations: Chinese (Taiwan)

Changes in libsoup from 2.68.1 to 2.68.2:

        * Documentation fixes [Sonny Piers]

        * Windows compatibility test fixes [Ignacio Casal Quinteiro]

        * WebSockets: client_max_window_bits in server must have a value [Carlos Garcia Campos]

        * build: improve diagnostics when detecting Apache [Simon McVittie]

        * NTLM: Make v2 authentication more robust [Claudio Saavedra]

        * Updated translations: British English, Chinese (Taiwan), Danish, Dutch

Changes in libsoup from 2.68.0 to 2.68.1:

        * Several memory leaks fixed in tests, examples, and parsing code [Claudio Saavedra]

        * SoupServer: Fixes to Windows path handling [Ignacio Casal Quinteiro]

Changes in libsoup from 2.67.93 to 2.68.0:

        * Updated translations: Brazilian Portuguese, Croatian,
          Friulian, Italian, Turkish

Changes in libsoup from 2.67.92 to 2.67.93:

        * SoupMessage: Handle Transfer-Encoding: identity for
          compatibility reasons [#148, Thomas Bluemel, Normen Bolling]

        * WebSockets: Only poll IO stream when needed [Carlos Garcia
          Campos]

        * WebSockets: Properly set cookies received during handshake
          [Carlos Garcia Campos]

        * WebSockets: Plug a couple of memory leaks and fix a few
          read-after-free memory errors [Claudio Saavedra]

        * WebSockets: document how web socket extensions should treat
          buffers in case of error [Claudio Saavedrə]

        * SoupSession: Don't reset user GCancellable internally [Tom
          Bailey]

        * Tests: Make tests installable [Simon McVittie]

        * Remove deprecate GTimeVal internal usage [Claudio Saavedra]

        * CI: increase coverage by enabling all features during
          testing [Claudio Saavedra]

        * Updated translations: Korean, German, Galician, Hungarian,
          Slovenian, Latvian, Finnish, Serbian, Catalan, Polish

Changes in libsoup from 2.67.91 to 2.67.92:

        * Silence GTimeVal deprecation warnings. [Michael Catanzaro]

        * API documentation and annotation fixes [Дилян Палаузов, Claudio Saavedra]

        * Plug a couple of NTLM authentication memory leaks [#156, Claudio Saavedra]

        * Fix build in SmartOS/SunOS [#157, Juraj Lutter]

        * Meson: Use feature options [Xavier Claessens]

        * Meson: Do not fallback to system krb5-config for cross-compilation
          [Xavier Claessens]

        * NTLM: Fix build with NTLM enabled [Claudio Saavedra]

        * Updated translations: Basque, Czech, Indonesian, Lithuanian, Swedish

Changes in libsoup from 2.67.90 to 2.67.91:

        * HSTS: New API to retrieve information about existing HSTS policies
          [Claudio Saavedra]

        * Updated translations: French, Romanian, Spanish

Changes in libsoup from 2.67.3 to 2.67.90a:

        * WebSockets: add support for WebSocket extensions via new
          SoupWebsocketExtensionManager and SoupWebsocketExtension API
          [Carlos Garcia Campos]

        * WebSockets: add support for the permessage-deflate extension, enabled
          by default in SoupServer and in the client side only if SoupWebsocketExtensionManager
          is added to a session [Carlos Garcia Campos]

        * WebSockets: Allow sending close frames with no body [Carlos Garcia Campos]

        * WebSockets: ignore messages after close has been sent and received [Carlos Garcia Campos]

        * Meson: tls-check improved [Xavier Claessens]

        * Meson: improve Apache checks [Claudio Saavedra]

Changes in libsoup from 2.67.2 to 2.67.3:

        * WebSockets: allow sending empty binary data [Carlos Garcia Campos]

        * WebSockets: fail and load the connection on invalid payload length  [Carlos Garcia Campos]

        * WebSockets: allow NULL characters in text messages data [Carlos Garcia Campos]

        * WebSockets: Close connection on wrongly masked/unmasked frame as per RFC [Carlos Garcia Campos]

        * WebSockets: other code fixes [Carlos Garcia Campos]

        * NTLM: Fix NTLMv2 authentication [Thibaut Robert]

        * SoupMessage: fix several deprecation warnings related to private data [Claudio Saavedra]

Changes in libsoup from 2.67.1 to 2.67.2:

        * gobject-introspection: Fix annotation for soup_auth_new()
          [Rico Tzschichholz]

        * brotli: Do not advertise the decoder as it's failing with
          some websites [Patrick Griffis]

        * Meson: Fix xml2 and sqlite fallbacks [Xavier Claessens]

        * HSTS: Add SoupHSTSEnforcer:hsts-enforced signal [Claudio
          Saavedra]

        * HSTS: Fixes to the types used to store policies in the
          SQLite storage [Claudio Saavedra]

        * HSTS: Accept Strict-Transport-Security regardless of casing
          [Claudio Saavedra]

        * WebSockets: Ensure messages finishes when handshake fails
          [Carlos Garcia Campos]

        * WebSockets: Fix critical warnings and test failures [Carlos
          Garcia Campos]

Changes in libsoup from 2.66.2 to 2.67.1:

        * Add a brotli decoder. This adds a new dependency on libbrotli
	  [Patrick Griffis]

        * Add strict secure cookies support [Patrick Griffis]

        * Add HSTS enforcer SoupSession feature (with both memory
          and sqlite backends) [Adrien Plazas, Claudio Saavedra]

        * meson gtk-doc documentation fixes [Claudio Saavedra]

        * Bump the CI test image to Fedora 30 and add libbrotli
          dependency [Claudio Saavedra]

Changes in libsoup from 2.66.1 to 2.66.2:

	* Make gettext optional (might not be available in Windows)
	  [Seungha Yang]

	* MSVC: set encoding to UTF-8 to avoid errors [Seungha Yang]

	* MinGW tests build fix [Tomas Popela]

	* Check for TLS support only when external glib dependency is available
	  [Seungha Yang]

Changes in libsoup from 2.66.0 to 2.66.1:

        * Fix dylib versioning in MacOS [Tom Schoonjans]

        * Visual Studio build fixes [Chun-wei Fan]

        * MinGW build fixes [Руслан Ижбулатов]

        * Meson build system improvements [Claudio Saavedra, Jakub Adam]

        * Fix random CI failures due to parallel apache tests [Claudio Saavedra]

        * Code cleanups [Claudio Saavedra]

Changes in libsoup from 2.65.92 to 2.66.0:

        * Fix lookup for libxml2 on Visual Studio builds [Chun-wei Fan]

Changes in libsoup from 2.65.91 to 2.65.92:

        * SoupConnection: Fix check for remote disconnectin idle state
          [Michael Catanzaro, #134]

        * Code cleanups and warnings fixed [Michael Catanzaro]

        * Remove stale .pc.in files [Claudio Saavedra, #137]

        * Updated translations: Dutch

Changes in libsoup from 2.65.90 to 2.65.91:

	* Remove RFCs from sources [Tomas Popela, #133]

Changes in libsoup from 2.65.2 to 2.65.90:

        * Avoid using threads in SoupRequestFile asynchronous API
          [Ignacio Casal Quinteiro]

Changes in libsoup from 2.65.1 to 2.65.2:

	* Remove autotools build system and change to meson by default
          [#12, Tomas Popela]

	* Many fixes to Meson [Claudio Saavedra, Tomas Popela, Xavier
          Claessens]

	* Improvements to the continuous integration infrastructure
          [Xavier Claessens]

	* Make sure SoupSession features are not disposed until all
          pending messages are processed [#130, Claudio Saavedra]

	* Updated translations: Greek, Slovak, French.

Changes in libsoup from 2.64.0 to 2.65.1:

	* Added MTLMv2 responses support [Michal Hrubý]
	* Many fixes to the meson build system [Tomas Popela]
	* Remove Visual Studio project files [Chun-wei Fan]
	* Enable VAPI by default [#119, Jeremy Bicha]
	* New strict header field parameter parsing API [Claudio Saavedra]
	* Code cleanups [Claudio Saavedra]
	* Updated translations: Belarusian, Serbian

Changes in libsoup from 2.63.92 to 2.64.0:

	* Many fixes to the meson build system [#7, #8, #9, #11, Tomas Popela]
	* Updated translations: Brazilian Portuguese, Galician,
          Hungarian, Latvian, Danish.

Changes in libsoup from 2.63.91 to 2.63.92:

	* Make sure that XMLRPC tests build in Debian too [Claudio Saavedra]
	* Distribute missing meson files [Claudio Saavedra]
	* Some fixes to the meson build files [Claudio Saavedra]
	* Updated Korean and Swedish translations

Changes in libsoup from 2.63.90 to 2.63.91:

	* Simplify soup_hosts_matches_host() [Claudio Saavedra]
	* Add new tests for trailing dots in domain names [Claudio Saavedra]
	* Updated Turkish translation

Changes in libsoup from 2.63.2 to 2.63.90:

	* Set default cookie path for NULL origins [#1, Adrian Perez de Castro]
	* Fixes to GObject-introspection [bgo#794787, Corentin Noël]
	* Use atomic-refcounting in classes that are not using GObject-refcounting
	  [bgo#785110, Edward Hervey]
	* Many Coverity-found code fixes [bgo#781771, Milan Crha]
	* Bail out on cookie-jar calls with empty hostnames [#3, Michael Catanzaro]
	* Fixes to the simple-httpd example [#2, Mooffie]
	* Updated translations: Chinese (Taiwan), Catalan

	Note: from now onwards bgo# references bugs in GNOME Bugzilla
	and # issues in GNOME gitlab.

Changes in libsoup from 2.63.1 to 2.63.2:

	* Many fixes to the meson build system support [#795324,
          #782410, Tomas Popela, Jan Alexander Steffens]
	* Fixes to xmlrpc-server test with PHP >= 7.2 and related
	  [#795111, #782410 Jan Alexander Steffens]
	* Fix critical warning in SoupSocket [Carlos Garcia Campos]
	* Updated translations: Romanian, Friulian, Slovenian,
	  Czech, Spanish, Indonesian, Chinese (China).

Changes in libsoup from 2.62.0 to 2.63.1:

	* Fix digest authentication with encoded URIs [#794208,
	  Claudio Saavedra]
	* Avoid unaligned memory accesses in WebSocket implementation
	  [#794421, Rolf Eike Beer]
	* Use base domain to decide if cookies are third-party [#792130,
	  Michael Catanzaro]
	* Fix crash under soup_socket_new() [#762138, Milan Crha]
	* Use libpsl for the SoupTLD API instead of shipping a copy of
	  the public-suffix list [#769650, Claudio Saavedra]
	* Introspection documentation fixes [#795135, Claudio Saavedra]
	* Minor cleanups and fixes [Tomas Popela]
	* Initial meson build system support [#784212, Sebastian Dröge,
	  Chun-wei Fan, Tomas Popela]
	* Various fixes to the meson build system [#795233, Iñigo Martinez]
	* Updated translations: Chinese, Croatian, Italian, Slovak.

Changes in libsoup from 2.61.91 to 2.62.0:

	* Updated translations.

Changes in libsoup from 2.61.90 to 2.61.91:

	* Add limit to header length to avoid DOS attacks
	  [#792173, Michele Dionisio]

        * Update the public-suffix list.
	  [Claudio Saavedra]

        * Revert "cookie-jar: use base domain to decide if cookie is third party"
	  [#792130, Claudio Saavedra]

Changes in libsoup from 2.61.2 to 2.61.90:

	* Various improvements to the WebSocket implementation
          [#792113, Italo Guerrieri]

	 * cookie-jar: use base domain to decide if cookie is third party
	  [#792130, Michael Catanzaro]

	 * Add new API to create a new connection from a SoupSession
	  [#792212, Carlos Garcia Campos]

	 * soup-headers: accept any 3 digit number as message status code
	  [#792124, Carlos Garcia Campos]

Changes in libsoup from 2.61.1 to 2.61.2:

	* session: don't request Keep-Alive for upgraded connections
	  [#788723, Lionel Landwerlin]

Changes in libsoup from 2.60.2 to 2.61.1:

	* tld-parser: use Python 3 [#785735, Ross Burton]

	* Fix heap-buffer-overflow in soup_ntlm_parse_challenge()
	  [#788037, Milan Crha]

	* Fix possibly uninitialized value in ssl-test
	  [Tomas Popela]

	* SoupCache: fix the timestamp for responses [#791031,
	  Claudio Saavedra]

Changes in libsoup from 2.60.1 to 2.60.2:

	* Fix documentation typos [#788920, Nirbheek Chauhan]

	* format-zero-length warning triggered in soup-logger.c
	  [#789096, Tomas Popela]

	* Warnings while generating inrospection files
	  [#789099, Tomas Popela]

	* Visual Studio builds: Enhance security of x64 binaries
	  [Chun-wei Fan]

	* Updated translation: Nepali.

Changes in libsoup from 2.60.0 to 2.60.1:

	* Fallback to another authentication type if the current
          failed [#788238, Tomas Popela]

	* Fix unbalanced G_GNUC_BEGIN_IGNORE_DEPRECATIONS use in
          soup-session.c [#787166, Zan Dobersek]

	* SoupCache: fix setting default value for cache dir
	  [#788452, Cosimo Cecchi]

	* Updated translations: Catalan (Valencian).

Changes in libsoup from 2.59.90.1 to 2.60.0:

	* New/updated translations: Catalan, Danish, Dutch, Nepali

Changes in libsoup from 2.59.90 to 2.59.90.1:

	* CVE-2017-2885: Fixed a chunked decoding buffer overrun that
          could be exploited against either clients or servers.
          [#785774]

Changes in libsoup from 2.58.0 to 2.59.90:

	* Several SoupAuthNegotiate compatibility fixes [#783780,
          #783781, Tomas Popela]

	* Include a payload in SoupWebsocketConnection's "ping"
          messages (to avoid problems with certain buggy server
          implementations), and emit a signal when receiving a "pong"
          (to allow apps to notice when the remote peer has
          disconnected them). [#785660, David Woodhouse]

	* Fix the interpretation of wss:// URIs, which previously
          mostly didn't work. [#784766, Nirbheek Chauhan].

	* Fixed SoupContentSniffer behavior on XML files with no
          Content-Type
          [https://bugs.webkit.org/show_bug.cgi?id=173923]

	* Fixed a bug with cancelling async requests [#773257, Carlos
          Garcia Campos]

	* Reverted the (undocumented) change in 2.58.0 to call
          soup_session_abort() after changing
          SoupSession:proxy-resolver; while this made its behavior
          more consistent with :proxy-uri, it ended up breaking
          things. [#781590]

	* Allow HTTP responses that have no trailing CRLF after the
          response headers (and no body) [#780352, Carlos Garcia
          Campos]

	* Fixed an out-of-bounds read in SoupURI parsing [#785042]

	* Fixed a spurious (debug-level) error message in
          SoupWebsocketConnection [#784935, Ignacio Casal Quinteiro]

	* Fixed introspection annotations on
          soup_message_headers_get_content_range() [Philip Withnall]

	* Fixed a flake in tests/header-parsing [#777258]

	* Update tests/test-cert.pem to use stronger algorithms to
          avoid problems with newer gnutls. [#784949, Jan Alexander
          Steffens]

	* Fixed examples/get to not accidentally break https
          certificate validation [#784259, Sebatian Dröge]

	* Misc updates to apache/php stuff in unit tests:
		* Dropped support for Apache 2.2
		* Deal with mod_unixd being compiled-in [#776478]
		* Switched PHP support from PHP 5 to PHP 7

	* Updated translations:
	  Esperanto, Turkish

Changes in libsoup from 2.2.57.1 to 2.58.0:

	* Fix authentication issues when the SOUP_MESSAGE_DO_NOT_USE_AUTH_CACHE
	  flag is used. [#778497, #777936, Carlos Garcia Campos]

	* MSVC build improvements (Chun-wei Fan)

	* Updated translations:
	  Basque, Belarusian, Brazilian Portuguese, Chinese (Taiwan), Danish,
	  French, Galician, Greek, Indonesian, Italian, Korean, Latvian,
	  Lithuanian, Norwegian bokmål, Russian, Serbian, Slovak, Slovenian,
	  Spanish, zh_CN

Changes in libsoup from 2.56.0 to 2.57.1:

	* Added SoupWebsocketConnection:keepalive-interval, to make a
          connection send regular pings. [#773253, Ignacio Casal
          Quinteiro]

	* Added soup_auth_manager_clear_cached_credentials() and
          SOUP_MESSAGE_DO_NOT_USE_AUTH_CACHE, to allow greater control
          over the use of cached HTTP auth credentials. [#774031,
          #774033, Carlos Garcia Campos]

	* Fixed the use of SoupSession:proxy-uri values containing
          passwords. [#772932, Jonathan Lebon]

	* Various minor WebSocket fixes [Ignacio Casal Quinteiro]:
		* Avoid sending data after we start closing the
		  connection [#774957]
		* Do not log a critical if the peer sends an invalid
		  close status code
		* Log a debug message when a "pong" is received

	* Fixed introspection of
          soup_message_headers_get_content_range() [Jasper St. Pierre]

	* Replaced Vala [Deprecated] annotations with [Version] to
          avoid build warnings [#773177, Evan Nemerson]

	* MSVC build improvements (Chun-wei Fan)

	* Updated error/message strings to use Unicode punctuation.
          [#772217, Piotr Drąg]

	* Updated translations:
	  Czech, Friulian, German, Hebrew, Hungarian,
	  Norwegian bokmål, Polish, Swedish

Changes in libsoup from 2.55.90 to 2.56.0:

	* Added SoupWebsocketConnection:max-incoming-payload-size
          property, to override the default maximum incoming payload
          size. [#770022, Ignacio Casal Quinteiro]

	* Added soup-version.h symbols (in particular
          soup_check_version()) to introspection. [#771439, Rico
          Tzschichholz]

	* Updated the copy of the public suffix list used by SoupTLD
	  [#769650, Michael Catanzaro]

	* Updated translations:
	  British English, Greek, Polish

Changes in libsoup from 2.54.1 to 2.55.90:

	* Removed support for SSLv3 fallback; sites that reject TLS
          1.x handshakes will now just fail with an error. (Firefox
          and Chrome have both already switched to this behavior.)
          [#765940, Dan Winship]

	* Fixed the parsing of <double>s in the new GVariant-based
          XMLRPC code. [#767707, Dan Winship]

	* Fixed soup_server_set_ssl_cert_file(), which was added in
          2.48 but didn't actually work... [patch on libsoup-list from
          Sean DuBois]

	* Added GObject properties to SoupLogger to make it
          bindings-friendly. [#768053, Jonh Wendell]

	* Fixed build error on FreeBSD [#765376, Ting-Wei Lan]

	* Fixed build with certain new versions of glibc that define
          "EOF" as a macro. [#768731, Philip Withnall]

	* Updated m4/ax_code_coverage.m4 with support for lcov 1.12
          [Philip Withnall]

	* Updated po files for future gettext versions [Piotr Drąg]

	* New/updated translations:
	  Occitan, Scottish Gaelic

Changes in libsoup from 2.54.0.1 to 2.54.1:

	* *** IMPORTANT ***
          Fixed an ABI break in 2.54.0 caused by adding a member to
          SoupAuthClass; 2.54.1 is ABI-compatible with 2.53.92 and
          earlier, but NOT with the anomalous 2.54.0. If you built
          packages against 2.54.0, you will need to rebuild them
          against 2.54.1.

	* Fixed NTLM authentication when ntlm_auth from the latest
          version of Samba is present. [#765106, Milan Crha]

	* Updates to MSVC build, including for GSS-API support
          [Chun-wei Fan]

	* Updated translations:
	  Friulian

Changes in libsoup from 2.53.92 to 2.54.0.1:

	* (2.54.0.1 fixes a build problem with the 2.54.0 tarball,
          which would not build if you configured with
          "--without-gnome". There are no other changes between 2.54.0
          and 2.54.0.1.)

	* Fixed examples/simple-httpd on Windows [#758759, Chun-wei
          Fan]

Changes in libsoup from 2.53.90 to 2.53.92:

	* libsoup now supports HTTP "Negotiate"/GSSAPI/Kerberos
          authentication. It must be enabled specifically by the
          application and is also subject to certain other
          restrictions, some of which are not yet controllable through
          the API. [#587145, Guido Guenther, Tomas Popela, David
          Woodhouse, Dan Winship]

	* Added support for building under MSVC [#758759, Chun-wei
          Fan]

	* Fixed a problem with the 2.53.90 tarball that caused
          translations to be mis-installed.

	* Updated translations:
	  Occitan

Changes in libsoup from 2.53.2 to 2.53.90:

	* NUL bytes in headers are now ignored [#760832, Dan Winship]

	* Fixed transfer annotation of soup_form_decode* functions
          [#743966, Lionel Landwerlin]

	* Updated translations:
	  Bulgarian, Latvian, Norwegian bokmål

Changes in libsoup from 2.53.1 to 2.53.2:

	* Fixed up symbol visibility handling for mingw by copying
          GLib's system [Ignacio Casal Quinteiro, #757146]

	* Finally marked the old SoupSessionAsync and SoupSessionSync
          methods as deprecated [Ignacio Casal Quinteiro, Dan Winship,
          #757146]

	* Added libsoup-2.4.deps for valac [Rico Tzschichholz]

	* Make it possible to build from git without gtk-doc being
          installed [Ignacio Casal Quinteiro]

	* Updated translations:
	  Norwegian bokmål, Occitan

Changes in libsoup from 2.52.1 to 2.53.1:

	* Really fixed build under MinGW for sure this time [Ignacio
          Casal Quinteiro]

        * Fixed SoupServer Web Sockets code so that the
	  SoupClientContext passed to a SoupServerWebsocketCallback is
	  fully usable (rather than crashing when you try to do most
	  things).

Changes in libsoup from 2.52.0 to 2.52.1:

	* Fixed build under MinGW [Chun-wei Fan]

	* Fixed build with --disable-introspection [#755389, Quentin
          Glidic]

	* Fixed HTTP authentication protection space handling for
          files directly under the root directory. [#755617, Carlos
          Garcia Campos]

	* Fixed a warning when loading data from SoupCache while using
          an authenticated proxy. [#756076, Carlos Garcia Campos]

	* Updated translations:
	  German, Vietnamese

Changes in libsoup from 2.51.92 to 2.52.0:

	* Removed duplicate test paths from tests/date so it will pass
          with glib 2.46.0

Changes in libsoup from 2.51.90 to 2.51.92:

	* Added g_autoptr() support for all libsoup types. [#754721,
          Kalev Lember]

	* Added a missing (allow-none) annotation to
          soup_uri_normalize() [#754776, Jens Georg]

	* Updated translations:
	  Polish

Changes in libsoup from 2.51.3 to 2.51.90:

	* Added a new GVariant-based XMLRPC API, and deprecated the
          old GValue-based API (along with the associated
          GValue-manipulating utilities). [#746495, Xavier Claessens]

	* Multiple build fixes for Visual Studio [#752952, Chun-wei Fan]

	* Added VAPI generation [#750679, Daniel Espinosa]

	* Fixed the mode bits on soup-cookie.c, which was previously
          marked executable for some reason. [rh #1247285]

	* Updated translations:
	  Norwegian bokmål, Portuguese, Thai, Turkish

Changes in libsoup from 2.50.0 to 2.51.3:

	* Fixed "make check" in non-English locales [rh #1224989,
	  #749397]

	* Fixed some compiler warnings [#748514, Philip Withnall]

	* New/Updated translations:
	  Aragonese, Catalan, Occitan, Russian

Changes in libsoup from 2.49.92 to 2.50:

	* Updated translations:
	  Basque, Chinese (Taiwan), Danish, Indonesian,
	  Norwegian bokmål

Changes in libsoup from 2.49.91.1 to 2.49.92:

	* Fixed an NTLM problem that caused spurious "Authentication
          Failed" errors in evolution-ews. [#735197]

	* New/updated translations:
	  Bosnian, Czech, Greek, Hebrew, Italian, Korean, Lithuanian,
	  Polish, Serbian, Slovak, Slovenian, Spanish, Swedish

Changes in libsoup from 2.49.1 to 2.49.91.1:

	* WebSockets! Libsoup now has support for WebSockets in both
	  SoupSession and SoupServer. [#627738, Dan Winship and Lionel
	  Landwerlin, based on code from the Cockpit project]

	      * The WebSocket code in libsoup 2.49.91 did not build on
                32-bit architectures. 2.49.91.1 was released to fix
                this.

	* Added support for NTLMv2 Session Security to SoupAuthNTLM.
          (This is transparent to the app/user; if the server supports
          it, it will be used.) [#739192, Adam Seering]

	* Added soup_server_accept_iostream() to allow feeding a
          non-GSocketConnection GIOStream to SoupServer (eg, when
          accepting HTTP requests on some other sort of connection).
          [#744186, Marc-André Lureau]

	* Added soup_session_steal_connection() and
          soup_client_context_steal_connection(), to allow you to
          steal a GIOStream from a SoupSession or SoupServer and then
          use it for non-HTTP purposes. [#721343, Dan Winship]

	* Added soup_server_add_early_handler(), for adding SoupServer
          handlers to run at :got-headers time rather than :got-body
          (eg, to set up a streaming read of the request body).
          [#625645, Dan Winship]

	* Added a new SOUP_MESSAGE_IGNORE_CONNECTION_LIMITS flag,
          which can be used to bypass SoupSession:max-conns and
          SoupSession:max-conns-per-host on a per-message basis.
          [#744720, Carlos Garcia Campos]

	* Multiple SoupCache fixes from Carlos Garcia Campos:

	      * Leaked resources are now cleaned up when opening the
                cache. [#667682]

	      * The "Age" header is no longer added to cached
                responses. [#741108]

	      * Fixed the interpretation of the "must-revalidate"
                directive to not be stricter than required. [#744468]

	      * Messages retrieved from cache now behave slightly more
                like non-cache messages in terms of SoupSession
                signals and timing. [#744788] Additionally, there is a
                new SoupMessage::starting signal, which is like
                SoupSession::request-started, but emitted for cached
                resources as well. [#731153]

	* Fixed soup_session_cancel_message() to work reliably on
          paused messages. [#745094, Sven Neumann]

	* Added code-coverage support to the build. [#744744,
          Marc-André Lureau]

	* Fixed the library symbol check in "make check" to work when
          building with linker options that result in slightly
          different organization. [#741348, Iain Lane]

	* Added a hack to SoupSessionFeature so that people will stop
          re-reporting an old Eclipse bug against libsoup. [#710242]

	* Miscellaneous bug and leak fixes in the test programs, leak
          fixes in libsoup, and documentation updates.

	* Updated translations:
	  Brazilian Portuguese, French, Galician, Hungarian, Slovak,
	  Slovenian, Spanish, Turkish

Changes in libsoup from 2.48.0 to 2.49.1:

	* Fixed a bug in the SoupMessage:event signal that broke
	  evolution's ability to connect to https hosts with "bad"
	  certificates. [#739951, Dan Winship]

	* Fixed a case where the async codepaths could potentially
          block on a synchronous write [#727138, Dan Winship]

	* Fixed the symbol soup_server_set_ssl_cert_file() to get
          exported, and added soup_server_get_uris() to the
          documentation. [Tristan Van Berkom]

	* Improved a bunch of introspection annotations [#729987, Evan
          Nemerson]

	* Clarified some documentation. [Tristan Van Berkom, Dan
          Winship]

	* Fixed Windows build, twice [#738003, Kouhei Sutou, and
          #738551, Kalev Lember].

	* Updated translations:
	  Bengali (Indian), Chinese (Traditional), Italian, Latvian,
	  Serbian, Telugu, Ukranian

Changes in libsoup from 2.47.92 to 2.48.0:

	* Updated translations:
	  Bengali (India), Danish, German, Hindi, Kannada, Punjabi

Changes in libsoup from 2.47.4 to 2.47.92:

	* Fixed a crash in SoupCache when receiving certain invalid
          Cache-Control headers. [#733587, Raveendra Karu]

	* Updated translations:
	  Assamese, Basque, Catalan (Valencian), Catalan, Chinese
	  (Traditional), French, Gujarati, Hungarian, Indonesian,
	  Korean, Marathi, Norwegian bokmål, Oriya, Polish, Swedish,
	  Tamil

Changes in libsoup from 2.47.3 to 2.47.4:

	* Fixed two crashes that could occur in multithreaded use
          (in particular, with the latest git gvfs). [#732783,
          #732925, Ross Lagerwall]

	* Fixed the handling of data: URIs with base64-encoded data
          but no explicit MIME type. [#732112, Raveendra Karu]. Added
          tests for this and other data: URI cases. [Dan]

	* Fixed a bug in SoupAuthNTLM that affected 28-character-long
          passwords. [#732087, David Woodhouse]

	* Fixed tests to pass with GLib git master (which warns if you
	  use deprecated GObject properties, and which also caught a
	  mutex-handling bug in test-utils.c)

	* Updated translations:
	  Galician, Greek, Lithuanian, Russian

Changes in libsoup from 2.46.0 to 2.47.3:

	* Added new-and-improved SoupServer API, and deprecated much
          of the existing API:

	      * Servers can now listen on multiple ports, including
	        listening on both IPv4 and IPv6 (which is the default
	        behavior when using the new API), or serving both http
	        and https from a single SoupServer.

	      * You can create a SoupServer from an existing listening
	        socket (either a file descriptor or a GSocket).

	      * When using the new APIs, SoupServer now obeys the
	        thread-default GMainContext rather than using the
	        :async-context property.

	      * soup_server_set_ssl_cert_file() allows setting the
	        certificate and key files with feedback if it fails
	        (unlike the old construct-time "ssl-cert-file" and
	        "ssl-key-file" properties, which fail with a
	        g_warning() and a NULL return from g_object_new() if
	        they fail).

	      * SoupClientContext has new methods that return GSocket
	        and GSocketAddress, rather than SoupSocket and
	        SoupAddress.

	* SoupSession now has a :tls-interaction property, which can
          be used to add a GTlsInteraction to a session, allowing it
          to provide a client-side certificate if the server requests
          one. [#334021, Colin Walters]

	* soup_session_abort() no longer tries to close active
          connections, which was causing crashes in evolution
          [rh#1093314]

	* Fixed a GMainContext-handling bug that could cause crashes
          in gstreamer's souphttpsrc. [#729737, Dmitry Shatrov]

	* Fixed a memory leak when requesting to delete a cookie that
          didn't exist [Joseph Artsimovich]

	* Updated translations:
	  Brazilian Portuguese, Czech, Hebrew, Spanish

Changes in libsoup from 2.45.92 to 2.46.0:

	* (No changes, just a version bump)

Changes in libsoup from 2.45.90 to 2.45.92:

	* Fixed problems with using an http proxy on port 80. [patch
          from Slava Monich on libsoup-list]

	* Plugged a small per-connection leak. [patch from Slava
          Monich on libsoup-list]

	* Belatedly bumped up the glib requirement to 2.38, which is
          required for the TAP driver.

	* Fixed up some leftover issues from the test porting to
          gtestutils:

	      test-utils: change http_debug command-line flag
	      xmlrpc-test: use g_test_skip()
	      redirect-test: remove a flaky test
	      auth-test: remove some erroneous SKIP_IF_NO_APACHEs
	      tests: split up some test programs into more tests
	      tests: remove debug_printf()s that are redundant with test names
	      tests: use g_test_bug() to annotate test cases

Changes in libsoup from 2.45.3 to 2.45.90:

	* Fixed a problem where libsoup would use the "http" proxy
          settings for "https" requests [#724316, Matt Barnes]

	* Updated SoupContentSniffer to match the current version of
          the MIME sniffing specification [#648849 / #715126, Gustavo
          Noronha Silva]

	* Updated the soup-tld APIs to accept ASCII-encoded hostnames
          in addition to UTF-8 ones.

	* Ported the test programs to the gtestutils framework, added
          support for installed tests, and made the tests use the TAP
          driver.

	  Some tests still need to be split up into more pieces, and
	  the debug output is now somewhat less useful in some cases.

	* Fixed the test programs to not depend on local proxy
          settings.

	* Added some more checks to header-tests [#722341, Lionel
          Landwerlin]

	* Fixed the "simple-proxy" example program, which had been
          broken for a while.

	* Updated translations:
	  Korean

Changes in libsoup from 2.44.1 to 2.45.3:

	* The documentation has finally been updated to reflect the
          new APIs added in 2.42.

	* Added GBytes-valued :request-body-data and
          :response-body-data properties to SoupMessage, which should
          help some bindings.

	* We now set TCP_NODELAY on sockets, improving throughput a
          bit. In particular, this avoids an unnecessary extra round
          trip in the TLS handshake.

	* The SoupSession APIs that return GErrors now return the
          actual underlying gio errors in the event of connection
          failures and the like.

	* Updated the copy of the Public Suffix list used by soup-tld.

	* Fixed a hang with internet radio streams in Rhythmbox (and
          some other places). [#710494, Dan]

	* Fixed a connection leak when cancelling the close of
	  a message GInputStream. [#711260, Dan]

	* Updated the soup_server_pause_message() /
          soup_server_unpause_message() documentation to clarify when
          you can and can't call them. [#710602, Philip Withnall]

	* soup_message_set_request() and soup_message_set_response()
          now g_warn_if_fail() if you pass an invalid Content-Type.
          (And they also have better introspection annotations.)
          [#686766, Dan]

	* Plugged a few memory leaks [#711085, Christophe Fergeau]

	* Fixed connection-test to pass with current glib [#711361,
	  Colin Walters]

	* session-test now passes when run against the dummy TLS
          backend (ie, if you don't have glib-networking installed),
          as long as you have the latest glib.

	* Fixed build with -Werror=format-nonliteral [#720082, Ryan
          Lortie]

	* Fix build with --without-ntlm [#710267, Dan]

	* Fixed a few warnings [Dan, Fabiano Fidêncio]

	* Tests are now more verbose by default under "make check",
          since current automake just redirects all the output to a
          log file anyway.

	* Updated translations:
	  Chinese

Changes in libsoup from 2.44.0 to 2.44.1:

	* If you called g_input_stream_close() on SoupMessage or
          SoupRequests's GInputStream before you finished reading it,
          it would block until the rest of the response had been read
          (which in the case of, eg, an infinite audio stream, meant
          that it would block forever). This was an unintended change
          from 2.42 and is now fixed. [#695652, Dan]

	* soup_session_queue_message() on a plain SoupSession (not
          SoupSessionAsync) was operating synchronously rather than
          asynchronously as it should have. [#707711, Dan]

	* soup-form methods now use the HTML5 x-www-form-urlencoded
          rules rather than the HTML4 ones. (In particular, they leave
	  "-", "_", and "." unencoded.) [#708621, Alban Browaeys]

	* The test programs now explicitly request the "memory"
          GSettings backend, meaning they won't print a warning if
          they get it accidentally, and they won't accidentally use
          the dconf proxy settings if the dconf backend is available.
          [Dan]

	* Fix SoupSession so that if you override the proxy
          configuration at construct time, it doesn't try to resolve
          the default GProxyResolver. (This is important in particular
          for programs that expect to run outside a user session,
          which would otherwise spew errors from the dconf GSettings
          backend about not being able to connect to dconf.) Likewise
          with TLS settings and the TLS backend. [#708696, Dan]

	* Fix the SoupServer:tls-certificate property;
          soup_server_is_https() had not been updated to recognize it,
          and so would return FALSE, which in turn meant that the
          server would return 400 Bad Request in response to https
          requests. [#709647, Fabiano Fidêncio]

	* Fixed a sporadic failure in tests/connection-test. [Dan]

	* Updated translations:
	  Tajik

Changes in libsoup from 2.43.92 to 2.44.0:

	* New/updated translations:
	  Dutch, Indonesian

Changes in libsoup from 2.43.90 to 2.43.92:

	* Fixed a bug in the connection-pool code, which would in
          certain cases accidentally keep using a connection after a
          message was cancelled while in progress, causing the next
          request on that connection to get the response to the
          previous request, etc. [#708006, David Woodhouse]

	* Fixed some problems when falling back from samba
          single-sign-on-based NTLM to ordinary ask-for-a-password
          NTLM. [#703186, David Woodhouse]

	* When sending a conditional GET request, SoupCache now
          preserves the original message's list of disabled features,
          ensure that it gets back the same kind of response the
          original message would have. [#706338, Andre Moreira
          Magalhaes]

	* Fixed a warning when the remote host closes the connection
          while we are writing something using chunked encoding.
          [#703297, Dan]

	* Added SoupServer:http-aliases and :https-aliases properties,
          to specify URI schemes that should be treated as though they
          were http (just like SoupSession:http-aliases and
          :https-aliases, but on the server side). [#703694, Dan]

	* Fixed race conditions in cache-test and timeout-test that
          could case spurious failures. [#698305, #660581, Dan]

Changes in libsoup from 2.43.5 to 2.43.90:

	* Fixed the handling of unsatisfiable range requests in
          SoupServer [pointed out on mailing list, Dan]. Also, added
          more documentation clarifying that you don't need to handle
          range requests yourself in many cases.

	* Fixed the handling of IPv6 address literals with scope IDs.
          (Requires the latest glib as well for the complete fix.)
          [#669724, Dan]

Changes in libsoup from 2.43.4 to 2.43.5:

	* SoupProxyURIResolver is now deprecated in favor of the
          SoupSession:proxy-resolver property (which takes a
          GProxyResolver). [#680273, Dan]

	* The SoupKnownStatusCode enum is now called SoupStatus. The
          old name continues to exist as an alias, but is deprecated.
          (This change has no visible effect in C; it is primarily to
          help language bindings, so that, eg, SOUP_STATUS_NOT_FOUND
          maps to "Soup.Status.NOT_FOUND" rather than
          "Soup.KnownStatusCode.NOT_FOUND".) [#684409, Dan]

	* Fixed the parsing of URI schemes in SoupURI (in particular,
          to allow scheme names with digits in them). [#703776, Dan]

	* Fixed SoupLogger to print a message's response headers even
          if the message gets cancelled before the complete response
          body is received. [#703200, Andres Gomez]

	* Fixed a build problem in non-UTF-8 locales [#702534, Ross
          Lagerwall]

	* SoupSession now warns if you use
          soup_session_pause_message() or
          soup_session_unpause_message() on a synchronous message
          (which has never worked, though that fact wasn't
          documented). [#703461, Philip Withnall]

Changes in libsoup from 2.43.2 to 2.43.4:

	* Fixed a bug that could cause synchronous sessions to get
          stuck in a state where no new messages would ever get
          processed. [#703463, Philip Withnall]

	* Fixed another memory leak in SoupSocket (found while
	  added a test case for #700472)

	* Switched to using g_cclosure_marshal_generic() rather than
          using glib-genmarshal. [#686042, Olivier Blin]

	* Changed SoupServer to call unref() on the query hash table
          after calling the handler, rather than destroy(), so that
          the handler can keep a copy of the query data if it wants.
          [#702793, Bernhard Schuster]

	* Fixed a few introspection annotations

	* Updated examples/get to use SoupLogger and to allow
          redirecting the output to a file [#703231, #703229, Andres
          Gomez]

Changes in libsoup from 2.43.1 to 2.43.2:

	* Fixed an authentication error when using NTLM when
          connecting to an https site over a proxy; the code was
          getting confused and thinking that the 200 OK response to
          the CONNECT meant that NTLM auth had succeeded. [#698728,
          Dan]

	* Fixed a memory leak in SoupSocket. [#700472, Richard
          Röjfors]

	* Fixed a missing include error on some platforms [#700003,
          Erik van Pienbroek]

	* Fixed warnings when running against the "dummy" TLS backend.
	  [#700518, Dan]

Changes in libsoup from 2.42.1 to 2.43.1:

	* Including <libsoup/soup.h> no longer pulls in the system
	  networking headers. This may cause some packages to no
	  longer compile, if they were accidentally depending on this.
	  Adding "#include <gio/gnetworking.h>" will fix them on both
	  unix and Windows. (This was done as part of fixing the build
	  on Windows.) [#692134, Dan]

	* Fixed SoupSession:proxy-resolver [#698163, Dan]

	* Added soup_message_set_priority(), to mark messages as being
          high, low, or normal priority, and update the message queue
          to prioritize them accordingly. [#696277, Sergio]

	* Fixed several test programs to still work if glib-networking
          isn't installed [Dan], and fixed another to still work if
          the kernel has no IPv6 support. [#698220, Dan]

Changes in libsoup from 2.42.0 to 2.42.1:

	* Fixed SoupProxyResolverDefault, which got broken in 2.42.92.
          [#697028, Dan]

	* Fixed a gigantic memory leak when using SoupCache. [#696594,
          Xan]

	* Fixed a build problem on Windows. [#696354, Kalev Lember]

	* Fixed ntlm-test to pass whether or not Samba ntlm_auth
          support was compiled in. [#697510, Dan]

	* New/updated translations:
	  Basque, Turkish

Changes in libsoup from 2.41.92 to 2.42.0:

	* Fixed a compiler warning on 32bit in a test program. [Kalev
          Lember]

	* New/updated translations:
	  Hindi, Kannada, Korean, Malayalam, Marathi, Odia, Persian,
	  Tadjik, Tamil, Telugu

Changes in libsoup from 2.41.91 to 2.41.92:

	* Fixed a bug that caused libsoup to retry an incorrect
          password repeatedly, forever, in a certain case that
          affected Google calendars in evolution in particuar.
          [Red Hat bug #916224, Dan]

	* Also added code to make such infinite retry loops impossible
          in the future. [Dan]

	* Fixed SoupRequestData's handling of URIs with "%00" in them.
          [#695246, Žan Doberšek]

	* Added the SoupSession:proxy-resolver property, to override
          the GProxyResolver used by a session. (This means there are
          now three different ways of controlling proxy resolution in
          SoupSession... this will be cleaned up a bit after 2.42.)
          [#680273, Dan]

	* Added missing G_BEGIN_DECLS/G_END_DECLS to
          soup-message-headers.h, so that its functions can be called
          from C++. [Carlos Garcia Campos]

	* Updated translations:
	  Assamese, Belarusian, Brazilian Portuguese, Catalan
	  (Valencian), Catalan, Danish, Estonian, French, Greek,
	  Gujarati, Hungarian, Italian, Latvian, Portuguese, Russian,
	  Slovenian, Thai

Changes in libsoup from 2.41.90 to 2.41.91:

	* Fixed a crash that showed up with XMLRPC requests in
          WebKitGTK. [#694920, Sergio]

	* Fixed SoupCache to update the cached headers when it
          receives a 304 Not Modified response, and added a test for
          this. [#695121, Sergio]

	* libsoup now builds under automake 1.13 (and "make check"
          works under the parallel test harness which is the default
          in 1.13) [#694135]

	* The tests/ directory now contains only actual test programs
          that are run by "make check", and the programs that are
          intended more as example code are under examples/.

	* New/updated translations:
	  Aragonese, Chinese (traditional), Czech, Galician, Hebrew,
	  Lithuanian, Norwegian bokmål, Punjabi, Spanish, Uyghur,
	  Vietnamese

Changes in libsoup from 2.41.5 to 2.41.90:

	* Added SoupSession:local-address property, which allows you
          to force connections to bind to a particular local address
          (eg, to control the interface that is used). [#693215, Jonh
          Wendell]

	* Fixed SoupCache to properly handle messages that get
          cancelled, and added tests for this. [#692310, Sergio]

	* Fixed a reference leak in SoupCache that resulted in
          epiphany hanging for several seconds on exit and then
          eventually printing "Cache flush finished despite X pending
          requests". And added more tests. [#682527, Sergio]

	* Fixed SoupAuthNTLM so that SoupSession:authenticate gets
          emitted with retrying=TRUE if the first attempt fails (ie,
          make it work the same way as SoupAuthBasic and
          SoupAuthDigest). [#693222, Dan]

	* Fixed the SoupSession:add-feature-by-type property to accept
	  non-SoupSessionFeature features as well (eg, auth types)
	  [Dan]

	* Fixed a build bug that would break all the apache-based
          tests if you didn't have PHP installed. [#693311, Dan]

	* Updated translations:
	  Malayalam, Polish, Serbian, Slovak

Changes in libsoup from 2.41.4 to 2.41.5:

	* Reverted the change to SoupURI's password handling from
          2.41.4, since it turns out to have broken some things.
          [#692149, Dan]

	* Avoid a g_return_if_fail() when loading
          SoupSession:ssl-ca-file fails. [#691930, Guillaume
          Desmottes]

	* Fixed a bug in SoupBodyInputStream that caused redirects in
          WebKitGTK to hang. [#692026, Sergio]

	* Updated translations:
	  Belarusian, Chinese (traditional), German, Italian,
	  Norwegian bokmål, Serbian, Uyghur

Changes in libsoup from 2.41.3 to 2.41.4:

	* Lots of docs fixes, including catching up with some (but not
          all!) of the API additions and deprecations, and a new
          chapter with hints on porting from
          SoupSessionAsync/SoupSessionSync to the new-and-improved
          plain SoupSession.

	* The plain SoupSession type now supports
          soup_session_queue_message() (with SoupSessionAsync
          semantics) and soup_session_send_message() (with
          SoupSessionSync semantics), and there are now
          soup_session_new() and soup_session_new_with_options().

	* The mirroring of the SoupMessage API onto SoupRequestHTTP,
          added in 2.41.3, has been reverted. However, new APIs
          soup_session_send() and soup_session_send_async() have been
          added that let you use the GInputStream-based API with
          SoupMessages rather than SoupRequest, so if you're doing
          HTTP-specific stuff, you can just use that instead.

	* soup_message_get_https_status() now returns the certificate
          and flags for unsuccessful https connections as well as
          successful ones. [#690176]

	* Fixed a deadlock when calling soup_session_abort() on a
          SoupSessionSync in some cases. [#691399] 

	* Internal SoupCache rewrites/improvements [#682112, Sergio]

	* Plugged a memory leak in SoupCache [#690382, Sudarsana
          Nagineni] and one in SoupAuthDigest [#690142]

	* LIBSOUP_DISABLE_DEPRECATED has been renamed to
          SOUP_DISABLE_DEPRECATED, but that's just to keep gtk-doc
          happy, and you shouldn't use it. You should use
          SOUP_VERSION_MIN_REQUIRED instead.

	* Fixed the samba-windbind-based NTLM support, which appears
          to have been broken before.

	* SoupAuthManager is now a public class (so you can remove it
          as a feature from a session, or disable it for a particular
          message). It also has a new method
          soup_auto_manager_use_auth(), which can be used to "preload"
          authentication for a host so that libsoup will use
          authentication on the very first request.

	* SoupURI now treats "http://user@example.com" as having a
          password of "" rather than NULL, since a NULL password would
          not be valid for any known HTTP auth type.

	* build: libsoup now uses autoreconf instead of
          gnome-autogen.sh, and no longer uses AM_GLIB_GNU_GETTEXT
          [Javier Jardon].

	* Updated translations:
	  Assamese, Bulgarian, Estonian, Friulian, Galician, Hebrew,
	  Polish, Slovenian, Spanish

Changes in libsoup from 2.41.2 to 2.41.3 (codename: "I Left My
Deprecated APIs in A Coruña"):

	* BUILD DEPENDENCY CHANGES: libsoup-gnome no longer depends on
          libgnome-keyring, and the sqlite3 dependency has been moved
          from libsoup-gnome to libsoup proper. (See below).


	* SoupRequest is now stable API. SoupRequester, however, is
          deprecated. Instead you can now call soup_session_request()
          or soup_session_request_uri() to create a SoupRequest.

	  Some documentation has been updated to reflect this, but
	  much more still needs to be (in particular the "Client-side
	  Tutorial").

	* SoupRequestHTTP now has a number of fields and methods that
          mirror the SoupMessage data, so you don't have to use
          soup_request_http_get_message() in many cases. On the flip
          side, there is also now soup_message_get_request(). And you
          can create a SoupRequestHTTP directly (and override its
          request method) by using soup_session_request_http() or
          soup_session_request_http_uri()).

	* soup_message_set_chunk_allocator() is now deprecated; apps
          that want to do streaming reads should just use SoupRequest,
          which is vastly more sane.


	* SoupPasswordManager is now deprecated, and
          SoupPasswordManagerGNOME is now a no-op (and libsoup-gnome
          no longer links against libgnome-keyring). [#594377, #679866]

	* SoupCookieJarSqlite is now deprecated in favor of
          SoupCookieJarDB, which is exactly the same thing except that
          it's in libsoup itself rather than being in libsoup-gnome
          (something that many people have requested). This means that
          libsoup now requires sqlite3... if this offends you horribly
          then you have a few months to speak up...

	* SoupProxyResolverGNOME is now deprecated; there hasn't been
          any real reason to use it since SoupProxyResolverDefault was
          added.

	* As a result of the last three items, libsoup-gnome now
          consists entirely of deprecated APIs, and there is no reason
          you should use it any more (though packagers need to keep
          building it, for backward compatibility).


	* SoupSession is no longer an abstract class, and you can
          create a plain SoupSession, which behaves in a more
          traditionally-gio-like way (allowing a mix of sync and async
          methods, etc). This "plain" SoupSession also has more sane
          default values of certain properties, and has certain
          SoupSessionFeatures built in.

	  This will eventually replace SoupSessionAsync and
	  SoupSessionSync completely, but most of the documentation
	  hasn't yet been updated at this point...

	  This change involved merging the majority of the
	  SoupSessionAsync and SoupSessionSync code into SoupSession,
	  getting rid of lots of redundancy in the process. There may
	  be some bug fallout from this (probably on the
	  SoupSessionSync side, since WebKit's tests tend to shake out
	  all SoupSessionAsync bugs). However, this should help to
	  avoid SoupSessionSync-only bugs in the future, since much
	  more of the code is now shared.


	* Usernames and passwords passed into SoupSession a URI will
          now be cleared after they're used, so that if they are
          wrong, the authenticate signal will be emitted on the next
          round. [#689673, Martin Robinson]

	* SoupURI now leaves "%00" in URIs as-is, rather than decoding
          it to "\0", which was not intended and is never useful.

	* Fixed a bug in SoupBodyOutputStream that could cause libsoup
          to sometimes use blocking I/O rather than non-blocking when
          writing chunked message bodies. [#688974, Milan Plzik]

	* Fixed a bug in SoupFilterInputStream that could cause some
          non-blocking reads to suck up CPU while waiting for the
          network. (This was noticed with multipart/x-mixed-replace
          processing; it's not clear if it affected anything else.)
          [Gustavo]

	* tests: misc small fixes


	* New/updated translations:
	  Assamese, Galician, Japanese, Odia, Polish, Spanish

Changes in libsoup from 2.41.1 to 2.41.2:

	* libsoup-2.4.so and libsoup-gnome-2.4.so now only export the
          symbols that are part of the public API. (Plus, temporarily,
          one additional symbol, soup_message_io_cleanup, which is
          used by gvfs and possibly a few other modules, even though
          it shouldn't be. If you copied soup-input-stream.c from
          gvfs, you should port your code to use SoupRequest instead.)
          [Dan, #595176]

	* Added SOUP_VERSION_MIN_REQUIRED / SOUP_VERSION_MAX_ALLOWED
          macros like the corresponding glib ones, to allow libsoup
          users to request per-version deprecation/availability
          warnings. [Dan]

	* Fixed a crash caused by a race condition in SoupSessionSync,
	  and reorganized some code to avoid other possible similar
	  race conditions. [#684238, Dan]

	* Fixed a crash when a DNS resolution failed, caused by a bug
          in the GTask porting in 2.41.1. [#688330, Milan Crha]

	* Fixed a problem that would cause g_warning()s in epiphany
          when browsing sites that (incorrectly) returned empty
          Cache-Control headers. [#683433, Dan]

	* We now add a Host header to HTTP/1.0 requests as well as
          HTTP/1.1 ones. [Dan]

	* Fixed a bug in the printing of IPv6 address literals in the
          Host header in SoupLogger. (They were being sent across the
          wire correctly, they were just printed wrong by SoupLogger.)
          [Dan]

	* Belatedly added soup-multipart-input-stream.h to soup.h.
          [Dan]

	* Removed an evil hack in the long-deprecated
          SoupProxyResolver code (not to be confused with
          SoupProxyURIResolver), to avoid warnings with glib master.
          If you had previously implemented a custom
          SoupProxyResolver, then it will probably (silently) stop
          working, but you should have ported it to
          SoupProxyURIResolver years ago anyway... [Dan, #687659]

	* Fixed a few race conditions in the test programs that could
          cause "make check" to fail on slow or heavily-loaded
          machines. [Dan]

	* Further cleaned up and reorganized the internal HTTP I/O
	  codepaths, in preparation for an improved SoupCache.
	  [#682112, Sergio] (This change should not actually be
	  externally noticeable. But if SoupContentDecoder or
	  SoupContentSniffer turns out to be broken in this release,
	  this would be why).

	* New/updated translations:
	  Slovak, Uyghur

Changes in libsoup from 2.40.1 to 2.41.1:

	* Changed the behavior of NTLM authentication to be more like
          what other apps apparently do. Now if the user does not
          specify a domain in the username (eg, "MYDOMAIN\username"),
          then we will not specify a domain in the NTLM response
          (rather than assuming that the user is in the server's
          default domain). People who get broken by this change should
          be able to fix it by including an explicit domain in their
          username, but the theory is that no one should get broken by
          this... If this change does turn out to hurt more than it
          helps then it may be reverted later. [#624613, Dan, based on
          a suggestion from David Woodhouse]

	* Fixed a crash caused by a race condition in SoupSessionSync.
          [#684238, Dan]

	* SoupRequest now supports resource:// URIs, for reading from
          gresource. [#682721, Carlos]

	* Added new compile-time and runtime APIs for checking the
          libsoup version. [#684514, Martin Robinson]

	* Updated to take advantage of (and require) glib 2.35;
          removed all g_type_init() calls and ported to GTask. [Dan]

	* Added support for Apache 2.4 to the unit tests. [Dan]

	* New translations:
	  Uzbek (Cyrillic)

Changes in libsoup from 2.40.0 to 2.40.1:

	* Improved the parsing of multipart/x-mixed-replace responses.
          [#685752, Gustavo]

	* Fixed handling of IPv6 address literals. [#684990, Dan]

	* New/updated translations:
	  Catalan, Catalan (Valencian), Norwegian bokmål

Changes in libsoup from 2.39.92 to 2.40.0:

	* New/updated translations:
	  Bengali (India), Bulgarian, Chinese (Simplified), Estonian,
	  German, Hebrew, Hindi, Hungarian, Latvian, Malayalam,
	  Punjabi, Tamil, Telugu, Thai, Ukranian

Changes in libsoup from 2.39.91 to 2.39.92:

	* Fixed some g_warnings (and a possible crash) with the
	  soup_request_send_async(). [#683404, Dan]

	* Fixed a hang with SoupSessionSync [#682923, Dan]

	* Handle empty "Cache-Control" headers. [Sergio]

	* New/updated translations:
	  Assamese, Belarusian, Brazilian Portuguese, British English,
	  Chinese (Traditional), Czech, Danish, French, Galician,
	  Greek, Gujarati, Hungarian, Indonesian, Italian, Lithuanian,
	  Marathi, Persian, Polish, Portuguese, Russian, Serbian,
	  Slovenian, Spanish

Changes in libsoup from 2.39.90 to 2.39.91:

	* Added missing (transfer full) annotation to
          soup_cookie_jar_add_cookie() and
          soup_cookie_jar_add_cookie_with_first_party(), fixing
          crashes in bindings. [#682554, Daniel Drake]

	* Fixed a crash [#682569, Alexander Larsson] and a win32 build
          problem [#683200, Kalev Lember] introduced by the memory
          leak fixes in 2.39.90

	* Fixed the SoupMessage:network-event signal, which had been
          skipping the G_SOCKET_CLIENT_COMPLETE state in tunneled
          https connections. And added a test for this. [Dan]

	* New/updated translations:
	  French, Japanese, Korean, Latvian, Lithuanian, Polish,
	  Punjabi, Swedish, Tamil

Changes in libsoup from 2.39.5 to 2.39.90:

	* Added SoupMultipartInputStream, for handling multipart
          responses (particularly multipart/x-mixed-replace).
          [#656684, Gustavo]

	* Fixed a potential crash in SoupSessionAsync after the
          session is finalized.

	* Fixed a regression in soup_tls_is_public_suffix() [#681085,
          Sergio]

	* Added a SOUP_MESSAGE_IDEMPOTENT flag, so that apps can
          bypass the "POSTs must be sent on new connections" check,
          which was causing evolution-ews to have to create a new
          connection for every request. [#681493, Milan Crha]

	* Changed SoupSession so that pending SoupMessages now hold a
          ref on the session. It is possible that this will break code
          that was depending on the old, dumb, behavior (where
          unreffing the session with messages pending would cause
          those messages to be cancelled), in which case this will be
          reverted before 2.40.

	* Fixed memory leaks found by valgrind.

	* Cleaned up some code in SoupCache. [#681509, Sergio]

	* New/updated translations:
	  Bengali (India), Chinese (Traditional), German, Marathi,
	  Turkish, Ukranian

Changes in libsoup from 2.39.4.1 to 2.39.5:

	* Fixed several bugs in the soup-message-io updates that could
          cause hangs or I/O errors. [#679527 and other bugs not filed
          in bugzilla]

	* Fixed SoupServer:async-context to work properly again

	* Further fixes to soup_uri_normalize() when using the
          "unescape_extra" parameter. [#680018]

	* Fixed soup_xmlrpc_parse_method_call() to handle the case
          where there is no <params> element (which is legal).
          [#671661]

	* Fixed the deprecation warning on soup_message_headers_get()
          [#680143]

	* Added warnings to some erroneous SoupSocket usages rather
          than returning bogus data. [#673083, Simon McVittie]

	* Fixed build under Windows/MinGW

	* SoupSocket no longer emits the "readable" signal when a
          socket is disconnected if that socket is non-blocking.

	* Updated public suffix list to the current version.

	* New/Updated translations:
	  Assamese, Chinese (simplified), Esperanto, Galician, Greek, Gujarati,
	  Hebrew, Norwegian bokmål, Russian, Serbian, Slovenian

Changes in libsoup from 2.39.4 to 2.39.4.1:

	* Fixed indentation problems in tld-parser.py so it will work
          under python 3. [#680089, "marduk"]

	* Actually fixed cookies in non-suffixed/private domains,
          which still didn't work after the last fix. [#679230,
          Carlos]

	* Updated translations:
	  Spanish

Changes in libsoup from 2.39.3 to 2.39.4:

	* Fixed the SoupRequest codepaths to properly retry in the
          case where the server closes a persistent connection when we
          try to use it. [Dan, might be the fix for #679527, but this
          is not yet confirmed]

	* Fixed the content-type and content-length of requests
          retrieved from SoupCache. [#680029, Carlos Garcia Campos]

	* Fixed the handling of cookies in non-suffixed and private
          domains ("localhost", "foo.local", etc) [#679230, Sergio and
          Dan]

	* Fixed cookie parsing to allow attribute values on "secure"
          and "HttpOnly". (Neither is supposed to have a value, but it
          happens in the real world.) [#678753, Dan, based on a patch
          from "Basavaraj"]

	* Fixed soup_uri_normalize() to not always run the "fixup"
          codepath. [#680018, pointed out by Yann Soubeyrand]

	* Fixed a (rare) crash when closing the stream returned from
          SoupRequestHTTP. [Dan]

	* Use G_DEPRECATED on deprecated functions, and then fix up
          the warnings this caused due to libsoup using its own
          deprecated functions. [#671770, Javier Jardón]

	* Fixed up "make dist" by, among other things, rewriting
          tld-parser in python. [#678909, Colin Walters]

	* Removed the "getbug" example program in tests/, which didn't
          work any more anyway. [Dan]

	* Various internal code cleanups. [Dan] Fixed one crash
          resulting from this [#680055, Alban Browaeys]; hopefully
          there won't be any more.

	* New/Updated translations:
	  Assamese, Belarusian, Bulgarian, Chinese (traditional), Hebrew,
	  Indonesian, Lithuanian, Norwegian bokmål, Vietnamese

Changes in libsoup from 2.39.2 to 2.39.3:

	* Added new functions for comparing domains against the
          "public suffix" list (http://publicsuffix.org/), and in
          particular fixed SoupCookieJar to not allow setting cookies
          in "public" domains (eg, ".co.uk"). [#673802, Sergio]

	* Added two new SoupCookieJar APIs
          (soup_cookie_jar_get_cookies() and
          soup_cookie_jar_set_cookie_with_first_party()) as part of
	  fixing the handling of HttpOnly cookies in WebKitGTK.
	  [#677922, Christophe Dumez]

	* Fixed g-i annotation of
          soup_message_headers_get_content_type(). [#677002, Dan]

	* Updated translations:
	  Galician, Greek, Slovenian, Spanish, Telugu

Changes in libsoup from 2.39.1 to 2.39.2:

	* Fixed several bugs that resulted from the I/O code rewrite
          in 2.39.1, and added more test cases to exercise the new
          code paths:

		* Problems with cancelling messages from the
                  got-headers signal [#674747, Dan]

		* Persistent connections were not always being closed
                  properly after a message was cancelled mid-response.
                  [Dan]

		* Cancelling a SoupRequest before it started I/O
                  didn't work. [Dan]

		* Asynchronous HTTP authentication via the SoupRequest
		  API [#675306, Dan]

		* Memory leak [#676038, Ray Strode]

		* Refcounting bug that manifested as a crash in rygel
                  [#676038, Ray Strode]

		* Handling failed CONNECT requests via SoupRequest
                  [#675865, Sergio]

		* Messages with trailing junk following a compressed
		  message body [#676477, Dan]

	* Fixed three cache-related bugs that affect some sites
          (notably Twitter) [Sergio]

	* Fixed a bug in the /usr/bin/ntlm_auth integration when you
	  don't already have credentials cached, and avoid printing
	  warning messages when ntlm_auth is present but not usable.
	  [Dan]

	* Fixed some g-ir-scanner warnings, and included
	  SoupRequester/SoupRequest in the introspected API [#676742,
	  Jasper St. Pierre]

	* Added soup_buffer_get_as_bytes() [#676776, Jasper]

	* New/updated translations:
	  Belarusian, Chinese (simplified), French, Galician, Greek,
	  Hebrew, Polish, Punjabi, Romanian, Slovenian, Spanish

Changes in libsoup from 2.38.1 to 2.39.1:

	* Major rewrite of the I/O code to use gio streams more
          directly. In particular, when using SoupRequestHTTP now, the
          input stream that is returned is actually pulling data from
          the socket, rather than just repeatedly pausing and
          unpausing the underlying SoupMessage and waiting for data to
          be pushed into it. This also means that SoupRequestHTTP now
          works with SoupSessionSync as well. [#591739, Dan]

	  (The SoupRequest API is still protected by unstable-API
	  #ifdefs, but will be made public later in this cycle.)

	* Libsoup now finally supports SOCKS proxies again. [#553269,
          Dan]

	* Certain error messages returned from the streaming API
          (SoupRequest, etc) are now localized; more strings will be
          localized later on.

	* New translations: Galician, Hebrew, Indonesian, Norwegian
          bokmål, Polish, Russian, Slovenian, Spanish.

	* Added a SoupCookieJar:is-persistent property, to distinguish
          memory-only jars from SoupCookieJarText and
          SoupCookieJarSqlite. [#672838, Carlos Garcia Campos]

Changes in libsoup from 2.38.0 to 2.38.1:

	* Fixed a situation where soup_connection_disconnect() could
	  end up calling g_object_unref(NULL) when an idle connection
	  was closed. [Sergio, #672178]

	* Fixed two warnings when cancelling an in-progress
          soup_socket_connect_async(). [pointed out on the mailing
	  list by Sven Neumann]

	* Fixed a crash when disposing a SoupServer with open
          connections. [#673468, Jonny Lamb]

	* Fixed the SoupSession:ssl-use-system-ca-file property to get
	  turned off (rather than on) when you set it to FALSE... Also
	  fixed up the property notifications around the various
	  certificate-verification properties (ssl-ca-file,
	  ssl-use-system-ca-file, and tls-database).

	* Fixed SoupSession to not leak paused SoupMessages that
	  were still in progress when it was unreffed. [#673905]

	* Updated the win32 file: URI code again, to fix regressions
	  in the WebKit tests. [WebKit bug #82484]

Changes in libsoup from 2.37.92 to 2.38.0:

	* Minor documentation fixes

Changes in libsoup from 2.37.91 to 2.37.92:

	* Added soup_session_prefetch_dns() and deprecated
          soup_session_prepare_for_uri(). The new method takes a
          completion callback, allowing you to know how many DNS
          resolutions are currently outstanding, so you don't spam the
          resolver. [Sergio, WebKit bug #41630]

Changes in libsoup from 2.37.90 to 2.37.91:

	* Fixed an out-of-bounds memory read that could occur when
	  parsing malformed requests/responses.

	* Fixed a build-related bug in Makefile.glib that affected
          locales such as Estonian where "Z" is not the last (ASCII)
          letter of the alphabet. [#654395, Priit Laes]

	* Fixed the handling of file: URIs with query components,
          which got broken in 2.37.90.

	* Fixed SoupAuthManagerNTLM to not fall back to allowing Basic
          auth when NTLM failed.

	* Further tweaked the warnings/fallback in SoupURI, so that
	  soup_uri_to_string() on an http URI with a NULL path would
	  translate that to "/" like it used to. [#670431]

	* Fixed a warning when cancelling the load of a page with many
          subresources. [#667245]

	* Use G_GNUC_BEGIN/END_IGNORE_DEPRECATIONS if GLib is new
          enough, to avoid getting warned about the use of
          GValueArray.

Changes in libsoup from 2.37.5 to 2.37.90:

	* libsoup is now beta-testing Makefile.glib from bug 654395.
          If 2.37.90 fails to build in some strange way that 2.37.5
          did not, this is probably why.

	* Replaced some of the SoupURI g_return_if_fail()s that were
	  added in 2.37.5 with g_warn_if_fail()s. Although it had
	  always been documented that SoupURIs must have a non-NULL
	  path, most SoupURI functions treated NULL the same as "",
	  and various apps (eg, rhythmbox, midori) were accidentally
	  relying on this. [Dan]

	* Added various return-if-fails and other sanity checks to
          various functions. [#669479, Robert Swain, Mark Nauwelaerts,
          Simon McVittie]

	* Updated docs/annotation of soup_form_decode_multipart() to
          note that all of the out parameters are (allow-none). Fixed
          the file_control_name parameter to actually allow NULL like
          the docs already claimed. [#669479, Simon McVittie]

	* Fixed a minor URI parsing bug. (It was allowing URI schemes
          to contain numbers.) [Dan]

	* Fixed a few memory leaks introduced in the 2.37 cycle. [Dan]

	* Fixed SoupServer to be able to correctly respond to HTTP/1.0
          requests over IPv6 (which previously would always have
          returned "400 Bad Request"). [#666399, Dan]

	* Changed SoupSessionAsync to make it possible to finalize it
          from the "wrong" thread. [#667364, Dan].

	* Fixed SoupCache to not cache resources whose URIs have query
          components (unless they have explicit cache headers); to not
          generate broken conditional requests for resources that
          cannot be conditionally validated; and to not spew warnings
          when receiving invalid Cache-Control headers. [#668865,
          Sergio].

Changes in libsoup from 2.37.4 to 2.37.5:

	* Fixed a bug in SoupSession:use-thread-context [Dan]

	* Fixed the case of cancelling a message from
          SoupSession::request-started [#668098, Raphael Kubo da
          Costa]

	* Fixed a crash in epiphany when loading a page with more than
	  1000 or so images. [#668508, Dan]

	* Fixed a bunch of cases involving invalid URLs found while
          testing SoupServer against an HTTP protocol fuzzer. Also
          fixed up some documentation/annotations and added some new
          test cases. [#667637, Simon McVittie]

	* Fixed SoupRequestFile to work on Windows. [Paweł Forysiuk]

Changes in libsoup from 2.37.3 to 2.37.4:

	* SoupMessage now has a "network-event" signal that can be
          monitored for information about DNS, proxy lookup, TCP
          connections, and TLS handshakes. [Dan]

	* The HTTP header parsing code now avoids hitting
          g_return_if_fails() (and returns an error instead) in a few
          cases of seriously-invalid headers. [#666316, Simon
          McVittie, Dan]

	* POSTs and other non-idempotent requests are now always sent
          on newly-created connections. You can also force this
          behavior on other messages by setting the
          SOUP_MESSAGE_NEW_CONNECTION flag. [#578990, Dan]

	* Server-closed idle connections are now detected ahead of
          time on Windows, preventing occasional spurious "Connection
          terminated unexpectedly" errors. (This had been fixed on
          UNIX since 2.28, but the earlier fix didn't work with
          WinSock.) [#578990, Dan]

	* Plugged a leak in SoupRequestHTTP. [#667099, Xan]

Changes in libsoup from 2.37.2 to 2.37.3:

	* Now requires glib 2.31

	* Simplified SoupHTTPInputStream and SoupRequestHTTP, allowing
          related simplifications in WebKit's ResourceHandleSoup. This
          is an ABI-incompatible change, but SoupHTTPInputStream is an
          unstable API. [#663451, Dan]

	* Fixed a bug that caused the SOUP_MESSAGE_CERTIFICATE_TRUSTED
          flag to always be cleared, causing epiphany to claim all
          https pages were untrusted. [#665182, Dan]

	* Fixed some bugs in the handling of SoupSession:http-aliases
          and SoupSession:https-aliases.

	* Fixed handling of ACLOCAL_FLAGS [#641470, Craig Keogh]

	* Fixed SoupContentDecoder's "ignore Content-Encoding: gzip
          because the server didn't actually mean it" hack to handle
          x-gzip too.

	* Clarified the documentation on SoupSession:ssl-strict
          [#666280]

Changes in libsoup from 2.37.1 to 2.37.2:

	* Fixed up the output of SoupDirectoryInputStream, thus
          improving the display of local directories in WebKit-based
          browsers. [#662266, Sergio]

	* Fixed a bug introduced in 2.37.1 that caused some cancelled
          SoupMessages to be leaked. [#662847, Sergio]

	* Added new SoupSession properties "http-aliases" and
          "https-aliases" that allow you to configure more explicitly
	  what URL protocols are treated as aliases for http (eg,
          "dav:", "webcal:", etc), and which should be recognized as
	  meaning something else, (eg, "ftp:") [Dan]

	* Added soup_session_would_redirect() and
          soup_session_redirect_message(), to help users that want to
          handle some or all redirects themselves. Added
          soup_message_set_redirect() to make it easier to return
          redirection responses from a SoupServer. [Dan]

	* Added the SoupSession "use-thread-context" property, which
	  tells it to use GMainContexts in a gio-compliant way (and in
	  particular, allows having different messages running in
	  different GMainContexts on the same SoupSession, though only
	  to a limited extent since SoupSessionAsync is still not
	  thread-safe). In particular, this was added in order to
	  address WebKit bug 68238. [Dan]

	* Made SoupURI %-encode non-ASCII characters when parsing
          URIs, in particular to fix a problem with certain servers
          sending syntactically invalid redirects that they would then
          only interpret correctly if you fixed the syntax for them.
          (@$!@#! Although the new code is probably more correct than
          the old code anyway, so...) [#662806, Dan]

	* Fixed a connection-handling bug that could cause problems
          with servers that requested authentication and then timed
          out the connection while the application was waiting for the
          user to enter a password. [#660057, Dan]

	* Made NTLM and Basic authentication handle some non-ASCII
          usernames and passwords. (NTLM should handle most. It's
          impossible to fix Basic in the general case.) [#576838,
          Joachim Breitner, "sponsored by ITOMIG GmbH and the City of
          Böblingen"]

	* Added support for "deflate" Content-Encoding, so that we can
	  work with broken servers that insisted on using it even
	  though we explicitly indicated in the request headers that
	  we didn't support it. (@$#!#) [#661682, Sergio]

Changes in libsoup from 2.36.0 to 2.37.1:

	* Fixed a problem with connections being assigned to multiple
          requests at once after a redirection [#651146, Sergio]. Made
          soup_session_pause/unpause_message() work in any state, not
          just while the HTTP I/O is occurring, and used this to add a
          test case for that bug. [Dan]

	* Ported SoupSession to use GTlsDatabase internally, and added
          two new properties, SoupSession:use-system-ca-file (to
          specify that the session should use the default system
          tlsdb) and SoupSession:tlsdb (to specify a specific tlsdb to
          use). [Dan]

	* Likewise, added SoupServer:tls-certificate, for specifying a
          certificate/key for an https server to use.

	* Made SoupHTTPInputStream use memory more efficiently.
          [#659255, Sergio]

	* Fixed soup_message_get_https_status() to return information
          more reliably (with latest glib-networking).

	* Bumped the glib requirement to 2.30.0; although libsoup does
          not use any new glib 2.30 APIs, there are several important
          bugfixes in glib between 2.28 and 2.30 that libsoup needs.
	  Currently libsoup builds against either glib 2.30.x or glib
	  2.31.x.

Changes in libsoup from 2.35.92 to 2.36.0:

	* Improvements to gtk-doc documentation. [Dan]

Changes in libsoup from 2.35.90 to 2.35.92:

	* Fixed a problem where SoupHTTPRequest response bodies could
          be truncated. [#659256, Sergio]

	* Fixed a bug in copying TLS information from SoupSocket to
	  SoupMessage, causing all https connections to be reported as
	  "untrusted" in epiphany. [Dan]

	* Made SoupSession remove items from its host cache after a
          while, so that if a host changes IP address, it will
          eventually try to re-resolve it. [#646959, Sergio]

Changes in libsoup from 2.35.5 to 2.35.90:

	* Added SOUP_MESSAGE_CAN_REBUILD flag, to use with
	  soup_message_body_set_accumulate(FALSE) on a request body,
	  to indicate that the caller will recreate the request body
	  after it has been discarded if the message needs to be
	  re-sent. [#656650]

	* Fixed the build on mingw-w64 by not using "interface" as
	  as variable name. [#656402, Erik van Pienbroek]

	* (The multihosted https server regression mentioned in the
	  2.35.5 NEWS turned out to be a glib-networking bug, which is
	  fixed as of 2.29.18.)

Changes in libsoup from 2.35.4 to 2.35.5:

	* Support NTLM single sign on via samba's /usr/bin/ntlm_auth.
          [#650940, Mandy Wu]. This is enabled by default (if NTLM is
          enabled for the session and the ntlm_auth binary is
          available), but will fall back to the standard
          password-based authentication if SSO fails.

	* Default to TLS+extensions for https connections, falling
          back to SSLv3-without-extensions (the old default) only if
          the server fails to negotiate TLS. [#581342]

		* As a result of this change, some users are currently
		  seeing problems with sites that serve multiple https
		  hosts from a single IP address (eg,
		  *.launchpad.net). There is no known workaround at
		  this time.

	* Fixed a longstanding problem with https pages sometimes not
          loading when using a proxy. [#631368, based on patches from
          DongJae Kim and Thierry Reding]

	* SoupContentSniffer: don't use gio's sniffing rules, since
          the spec now recommends that browsers not do any additional
          sniffing beyond what's in the spec. [#648846, "arno"]

	* Fixed SoupRequestHTTP to work properly with alternate
          GMainContexts. [#653707]

	* Added some annotations from Vala's vapi files. [#655397,
          Evan Nemerson]. Also, removed SoupProxyResolver from the
          gir/typelib, since it had been deprecated since before
          introspection was available, and it was being scanned wrong
          anyway.

Changes in libsoup from 2.35.3 to 2.35.4:

	* CVE-2011-2524: Fixed a security hole that caused some
	  SoupServer users to unintentionally allow accessing the
	  entire local filesystem when they thought they were only
	  providing access to a single directory. [#653258]

	* Plugged another SoupCache memory leak [Xan]

	* Simplified SoupCache keys, and handle collisions. [#649963,
          Sergio]

	* Annotate SoupSession:add-feature, etc, as (skip), so they
	  don't conflict with the methods of the same name. [#655150,
	  Jasper St. Pierre]

Changes in libsoup from 2.34.1 to 2.35.3:

	* SoupCache fixes [Sergio]:

		* Don't store hop-by-hop headers [#650094]

		* Fix status code and headers of responses returned
		  from the cache after being revalidated [#649965]

		* Added versioning support to the cache file format
                  [#652554] and extended it to keep track of the
                  status code [#649965]

		* Fixed storage of time values in the cache [#653349]

		* Fixed a use-after-free that could result in bogus
                  data being written to the cache [#650620]

		* Various leaks [#649309]

	* Work around an Apache bug where it tells browsers to
          automatically decode .gz files but still keep the .gz in the
          name. [#613361, Dan]

	* Fixed an overflow when sending a response larger than 2^31
	  bytes (eg, streaming movies in Rygel). [#638468, Jens Georg]

	* Always send the Keep-Alive header, not just to hosts we
          already know to be HTTP/1.0 [#648680, Sergio]

	* Fixed various leaks [#652699, Sergio], [#651643, Milan],
          [etc, Xan]

	* Minor build fix for Debian/Ubuntu [#648948]

	* Fixed a docs typo

Changes in libsoup from 2.34.0 to 2.34.1:

	* Two multipart forms/Content-Disposition fixes [Dan]:

		* UTF-8-encoded header encoding/decoding rules updated
		  to match RFC 5987. In particular, a UTF-8-encoded
		  filename parameter in Content-Disposition will now
		  override an ASCII one.

		* When not using UTF-8-encoded filenames in
                  Content-Disposition, always quote the filename,
                  since some servers erroneously fail to handle
		  non-quoted ones. [#641280]

	* Fixed several memory leaks [Dan, Xan]

	* Fixed decoding base64 data: URLs [#646896, Sergio]

	* Simplified the libsoup-gnome build on Windows by dropping
          the gnome-keyring dependency. [Fridrich Štrba]

	* Fixed a bug in soup_uri_to_string() in which (invalid) port
          numbers could be output as negative numbers (tripping up a
          WebKit "sanity checking" test). [#647767, Sergio]

	* Fixed a cache corruption bug in SoupCache. [#648285, Sergio]

	* Fixed a crash in SoupSessionSync when using
          soup_session_abort().

Changes in libsoup from 2.33.92 to 2.34.0:

	* Fixed the GMainContext handling of the new
          SoupProxyResolverDefault (which among other things fixes
          gstreamer usage inside epiphany). [#646201, Sebastian Dröge]

	* Tweaked the introspection Makefile rules to fix a problem
          building on Debian/Ubuntu. [#645505]

	* Belated bumped the shared library versioning to reflect the
          API additions since 2.32.0

Changes in libsoup from 2.33.90 to 2.33.92:

	* LIBSOUP NO LONGER DEPENDS ON GCONF OR LIBPROXY.
	  (see below).

	* Added SoupProxyResolverDefault, which uses uses gio's
          GProxyResolver to resolve proxies [#642982, Gustavo Noronha
          Silva]. Despite the "default" in the name, it is not used by
          default, for compatibility reasons, but it is available in
          plain libsoup, not libsoup-gnome. (Of course, it depends on
          having glib-networking installed.)

	* Updated SoupProxyResolverGNOME to be based on
          SoupProxyResolverDefault, but explicitly requesting the
          "gnome" GProxyResolver if it is available [#625898], and
          removed the old code that used GConf and libproxy directly.

	* Added soup_server_disconnect(), to explicitly disconnect a
          SoupServer, since it is not possible to g_object_unref() it
          from memory-managed language bindings. [#638576, Andreas
          Rottmann]

	* SoupDate now parses month names case-insensitively [#644048,
          Christian Dywan]

	* Avoid a g_return_if_fail() when using
          SOUP_COOKIE_JAR_ACCEPT_NO_THIRD_PARTY with non-http URIs
          (file:, data:, etc). [#643226]

	* SoupCookieJar now catches overflows when parsing very
          distant dates [#643462, based on a patch from Mark
          Starovoytov]

	* Fixed a buggy interaction between request body streaming and
          restarted requests [David Woodhouse]. Added some new tests
          to tests/chunk-test.c to make sure that a specific
          (unsupported!) way of using those methods would not get
          broken in the future.

	* Fixed soup_socket_get_remote_address(), which had been
          broken since 2.33.4 (and which in turn caused
          soup_client_context_get_address/_get_host to be broken).
          [#645227]

Changes in libsoup from 2.33.6 to 2.33.90:

	* Attempted to make libsoup's dependency on glib-networking
          (for TLS support) more explicit, by requiring that
          glib-networking be present at compile time unless the
          builder explicitly passes "--disable-tls-check", and noting
          that packagers should give libsoup a runtime dependency on
          glib-networking.

	* Fixed a bug in talking to servers with virtual hosts with
          Unicode names (IDNs) [#642075]

	* Added a "Connection: Keep-Alive" header when talking to
          HTTP/1.0 hosts, to improve performance. [#640414, Sergio
          Villar Senin]

	* Changed SoupCache to not cache multipart/x-mixed-replace
          content. [#642028, Sergio Villar Senin]

Changes in libsoup from 2.33.5 to 2.33.6:

	* Made SoupSessionAsync do idle-connection cleanup more
          sanely, resulting in faster load times for pages with lots
          of subresources. [#639768, Sergio Villar Senin]

	* Fixed soup_form_decode()'s behavior (and by extension,
          SoupServer query string handling) with datasets that contain
          multiple values for the same key, and added a test case.
          [#639783, Sven Neumann]

	* Fixed warnings pointed out by gcc 4.6, including a bug in
          SoupCache that would cause unnecessary revalidations
          [#640556].

	* Belated copied a fix from the WebKit copy of soup-cache.c
          into ours, and fixed a bug in the local copy of
          soup-request-data.c [#641022, Sergio Villar Senin], in
          preparation for making WebKit use the libsoup versions.

Changes in libsoup from 2.33.4 to 2.33.5:

	* Fixed certain cases of soup_session_cancel_message() with
	  SoupSessionSync that could previously cause warnings or
	  crashes. [#637741]

Changes in libsoup from 2.32.2 to 2.33.4:

	* SoupSocket now uses GSocketConnection and GTlsConnection
	  internally rather than making socket calls directly and
	  using GIOStream, and TLS is handled via glib's APIs rather
	  than using gnutls directly.

        * The gzip Content-Encoding handler is now implemented using
          GZlibDecompressor

	* As a result of the above two changes, libsoup no longer
	  directly depends on gnutls, libgcrypt, or zlib, though it
	  still indirectly depends on zlib via glib and libxml2. Also,
	  although libsoup does not depend on glib-networking as a
	  build-time dependency, some "make check" tests will be
	  skipped if it is not installed.

	* The SoupRequest/SoupCache code from WebKit has been
          imported, but it is not yet recommended for general use, and
          is not necessarily API stable. [#523100, Sergio Villar, with
          the SoupRequest parts based on the Summer of Code work by
          Gabriel Corvalan and the cache parts based on an earlier
          patch by Xan Lopez]

	* Added SoupMessage:tls-certificate and
          SoupMessage:tls-errors, which give more information about
	  the certificate used to authenticate a TLS connection.

	* It is now possible to disable Basic or Digest auth in a
          session by using soup_session_remove_feature_by_type() with
          SOUP_TYPE_AUTH_BASIC or SOUP_TYPE_AUTH_DIGEST. Likewise, the
          right way to enable NTLM support now is to call
          soup_session_add_feature_by_type() with SOUP_TYPE_AUTH_NTLM;
          SOUP_SESSION_USE_NTLM is now deprecated.

	* Allow setting cookies on file:// URIs, since other browsers
          do, and WebKit has a test for it. [#603825]

	* .gir/.typelib files now include C header/library information
          (needed by vala and some other bindings) [#635395, Evan
          Nemerson]

	* Added annotations on soup_message_headers_get_content_type()
          [Lucas Rocha] and SoupHTTPVersion [John Palmieri]

	* Fixed a Set-Cookie processing leak [#636741, Jonathan
          Jongsma]

Changes in libsoup from 2.32.1 to 2.32.2:

	* Fixed a regression in 2.32.0 that caused evolution-exchange
          to get stuck and stop updating. [#634422]

	* Fixed a regression in 2.32.0 with apps using asynchronous
          sessions from multiple threads (in particular, gupnp)
          [#635101]

	* Fixed the regression test for #631525 to not cause spurious
	  "make check" failures on some machines.

Changes in libsoup from 2.32.0 to 2.32.1:

	* Fixed a regression in 2.32.0 with the use of persistent
	  connections that caused spurious "Connection terminated
	  unexpectedly" errors. [#631525, debugged by Sergio Villar]

	* Fixed a regression in 2.32.0 that caused proxy-related
	  DNS errors to return SOUP_STATUS_CANT_RESOLVE rather than
	  SOUP_STATUS_CANT_RESOLVE_PROXY.

	* Usernames/passwords specified explicitly in request URIs now
	  override existing cached auth info. [#631679, Sergio Villar]

	* Changed soup_uri_decode() and soup_uri_normalize() to just
	  ignore malformed %-encoding rather than returning NULL,
	  for consistency with soup_uri_new(). [#630540]

	* Fixed soup_form_decode() to ignore invalid parameters,
	  and soup_form_encode_hash() to just g_return_if_fail()
	  rather than crashing if there are NULL values in the
	  hash. [#620220]

	* Added another workaround for stupid servers that close the
	  connection before returning the full response (in this case,
	  when using chunked encoding and failing to include the
	  final 0-length chunk). [#629160]

	* Fixed a bug in SoupCookieJarText that deleted excess cookies
	  whenever any cookie expired. [#631641, Michał Kazior]

	* Fixed a small leak in SoupContentDecoder if you were using
	  it incorrectly. [pointed out in email by Christophe
	  Gillette]

	* Added regression tests for passwords-in-URIs [#631679,
	  Sergio Villar] and SOUP_SESSION_IDLE_TIMEOUT.

Changes in libsoup from 2.31.92 to 2.32.0:

	* (No changes, just a version bump)

Changes in libsoup from 2.31.90 to 2.31.92:

	* Updated for gobject-introspection 0.9.5. Also added some new
          annotations and removed a bunch of private headers from the
          scanning process.

	* Percent-encoded characters in URIs are no longer
          automatically normalized to uppercase, since apparently some
          servers are stupid. [#628728, Sergio Villar Senin]

	* Fixed a crash when resolving a URI containing both spaces
          and non-UTF8 8bit characters. [#629449]

Changes in libsoup from 2.31.2 to 2.31.90:

	* libsoup now tries to connect to each IP address associated
          with a hostname, if the first one fails. In particular, if a
          host has both IPv4 and IPv6 addresses, and only one of them
          is reachable from the current host, libsoup will now try the
          other one rather than failing. (libc is supposed to sort the
          IP addresses in the right order, such that, eg, if you don't
          have IPv6 connectivity, it will put the IPv4 address first.
          For some reason though, this seems to be broken on some
          distros.) [#526321].

	* Fixed Accept-Language header generation in locales where ","
          is used as the decimal point.

Changes in libsoup from 2.31.2 to 2.31.6:

	* Disabled TLS 1.2 in addition to the already-disabled 1.1 and
          1.0 [see below, in libsoup 2.27.2], thus making libsoup
          usable with gnutls 2.10. [#622857. This commit, 01a43ad9,
          can be applied to libsoup 2.30.x as well if you need that
          release to work with gnutls 2.10.]

	* When using libproxy 0.3 or newer, libsoup no longer leaks
          proxy-related environment variables into child processes
          [#603285]

	* Changed the way message/connection binding works in
          SoupSession so that (among other things), when there are
          multiple requests queued to a host, and one of them gets a
          network error, the other requests are still allowed to try
          to succeed, rather than all failing immediately. [#619633]

	* SoupSession now limits the number of times a message can be
	  redirected, to avoid infinite loops [#604383, José Millán
	  Soto]

	* Fixed handling of certain messages where the response
          headers included "Connection: close" but the server did not
          actually close the connection at the end. [#611481]

	* Fixed some incorrect g-i annotations [#621021]

	* Fixed an out-of-bounds memory access when processing certain
          Set-Cookie headers [#620288]

	* Improved msg->reason_phrase on network errors [#623274]

	* Fixed gir file disting [#621727, Yaakov Selkowitz]

Changes in libsoup from 2.30.1 to 2.31.2:

	* gobject-introspection has now been merged in. Use
          --enable-introspection to build. [#576595, Andreas Rottmann]
	  Note that the introspected API is not yet stable, and in
	  particular, there are numerous values annotated as "utf8"
	  which are actually not guaranteed to be utf8. (Eg, most
	  header data.)

		* Added some helper functions for bindings:
                  soup_buffer_new_take(),
                  soup_message_body_append_take(), and
                  soup_buffer_get_data(). [#576595, Andreas Rottmann]

		* Also added properties for several SoupMessage public
                  fields, and getter methods for various boxed types
                  (SoupCookie, SoupDate, SoupURI).

		* Added some additional hash-table annotations.
                  [#619086, Gustavo Noronha Silva]

	* Marked SoupSession abstract. [#617216, Lorenzo Gil, the
          first bug filed by someone trying to use libsoup via
          introspection!] Likewise for SoupAuth and SoupAuthDomain.

	* Fixed a problem with SoupSessionAsync that would cause
          messages to get lost if you aborted a previous message while
          it was still looking up the hostname. Fixed several other
          problems that were discovered while adding a regression test
          for that. [#618641, thanks to Claudio Saavedra for a good
          test case]

	* Fixed another connecting-to-lame-http-server problem, and a
          getting-stuck-in-a-loop-reconnecting bug that it revealed.
          [#615535]

Changes in libsoup from 2.30.0 to 2.30.1:

	* Fix for https through proxies that close the connection when
          returning a "407 Proxy Authentication Required" response,
          and add a regression test for that case. [#611663]

	* Fixed multiple forms/multipart-related interoperability
          problems reported by Egon Andersen:

		* Don't quote the multipart boundary string if it's
                  not needed, since RFC 2616 recommends that you
                  don't, and some servers don't handle quotes there
                  correctly. (Sigh.) [#614176]

		* Don't put an extra blank line before the first
                  multipart part, since it's unnecessary and some
                  servers don't handle a multipart preamble correctly.
                  (Sigh.) [#614183]

		* Don't put Content-Transfer-Encoding headers in the
                  multipart/form-data parts, even though the HTML 4
                  spec says you must, since no other browsers do, and
                  some servers don't handle them correctly. (Sigh.)
                  [#614198]

	* Changed SoupCookieJarSqlite to actually erase deleted
          cookies from the database. [#615711, Lukasz Slachciak]

	* Fixed SoupLogger to be more robust against getting passed
          bad data by the session. [#611663]

	* Fixed SoupAuthDomain to ignore paths when doing proxy auth

	* Fixed a g_warning when hovering over a javascript link in
          WebKit. [#613442, Xan Lopez]

Changes in libsoup from 2.29.91 to 2.30.0:

	* Fixed a crash in the whitespace-stripping code in
          soup_uri_new() [#612644, "arnaud.lb"]

	* Update content-sniffing algorithm to match Chrome and the
          soon-to-be-updated sniffing spec. [#611502, Gustavo Noronha
          Silva]

	* We now handle "Content-Encoding: x-gzip" as well as "gzip"
	  (even though "x-gzip" has been deprecated for more than 10
	  years). [#611476]

	* Fixed leaks found by valgrind

	* Make the "make check" programs only bind to 127.0.0.1, not
          any public network interfaces. [#609489, Saleem Absulrasool]

	* Add a test to sniffing-test to make sure that Content-Type
          parameters are preserved correctly. [Gustavo Noronha Silva]

Changes in libsoup from 2.29.90 to 2.29.91:

	* Added SOUP_SESSION_SSL_STRICT and
          SOUP_MESSAGE_CERTIFICATE_TRUSTED, to allow callers to
          determine if an https response comes from a server with a
          recognized/valid or unrecognized/invalid certificate.
          [#610374, Gustavo Noronha Silva]

	* Fixed handling of certain badly-formatted URIs [#590524]

Changes in libsoup from 2.29.6 to 2.29.90:

	* Added soup_cookie_jar_set_accept_policy() and related API
          for implementing cookie acceptance policies. [#608353, Xan
          Lopez]

	* Fixed the "request-read" signal in SoupServer to actually be
          emitted.

Changes in libsoup from 2.29.5 to 2.29.6:

	* Fixed SoupContentDecoder to ignore trailing junk after the
          encoded message body (as other browsers do), rather than
          getting stuck in an infinite loop. [#606352]

	* Fixed an invalid read in soup_cookie_applies_to_uri()
	  [#607024, pointed out by Xan]

	* Fixed linking on OS X [#606959]

	* Removed a harmless warning in SoupServer. [#606645]

Changes in libsoup from 2.29.3 to 2.29.5:

	* Added SoupContentDecoder, providing support for
          Content-Encoding: gzip for WebKitGTK. [#522772]

	* Added "accept-language" and "accept-language-auto"
          properties to SoupSession, to support the Accept-Language
          header. [#597004, Mario Sanchez Prada]

	* Fixed a bug in SoupPasswordManagerGNOME that could cause
          crashes if you typed the wrong password once and then tried
          again. [#595554, debugged by Gustavo Noronha Silva]

	* Fixed a crash in SoupAuthDigest if the server claims support
          for both qop=auth and qop=auth-int. (This was not noticed
          sooner because no one actually supports qop=auth-int, and
          the server in question here was probably confused. :)

	* Updated cookie parsing/output to more closely match
	  draft-ietf-httpstate-cookie-00. [Also fixes #603496 (WebKit
	  unit test), and #604794 (hang parsing malformed Set-Cookie
	  header)]

	* Fixed https-via-proxy to not hang if there is an error
          communicating with the proxy immediately after the TLS
          negotiation. [#587528]

	* Fixed a bug that broke gobject-introspection's introspection
          of libsoup. [#603696, Vincent Untz]

	* Handle spurious CR/LFs between responses. [#602863,
          Alexander V. Butenko]

	* Fixed soup-message-client-io to not erroneously include URI
          fragments on the Request-Line when sending via a proxy.
          [Related to WebKit bug #28687]

	* Fixed Digest authentication against certain (buggy?)
          clients/servers that require you to use quotes in exactly the
          same places where the spec uses them. [#582219]

	* Fix ugly gtype-related hack to work with the latest unstable
          glib. [Benjamin Otte]

Changes in libsoup from 2.28.1 to 2.29.3:

	* Fixed a crash in SoupCookieJarSqlite when using cookie
          databases not created by libsoup (eg, upgraded epiphany
          installations). [Patch from Emilio Pozuelo Monfort]

	* Fixed SoupCookieJar to handle non-http URIs properly (so
          that, eg, JavaScript bookmarklets that try to set/read
          cookies won't cause crashes). [#602498]

	* HEAD requests that receive a "303 See Other" response will
	  now do a HEAD, not a GET, on the redirected-to resource.
	  Fixes gvfs access to some sites, including certain
	  youtube.com URIs. [#600830]

	* Fixed a g_warning that would always trigger in the
          server-side SoupCookie code. [#602389]

	* Fixed the server-side SoupMultipart code to be able to parse
          multiparts containing binary attachments, rather than
          rejecting them as malformed. [#601640]

	* Fixed the Request-Line format in the https-over-proxy case.
          Among other things, this fixes access to bugzilla.gnome.org
          from WebKitGTK-based browsers. [#598277, #600826]

	* Fixed a leak in SoupSession if a message was cancelled while
          the initial socket connection was in progress. [#596074,
          debugged by Arnout Vandecappelle]

	* Fixed server-side parsing of Digest auth. [#602898, Chris
          Head]

	* Fixed WinSock initialization on Windows. [#600689, Tor
          Lillqvist]

	* Fixed a sporadic crash in the SSL code on Windows. [#600748,
          Tor Lillqvist]

	* Fixed handling of https connections with timeouts on
          Windows. [#600749, Tor Lillqvist]

	* Added soup_session_prepare_for_uri(), to allow DNS
          prefetching for faster browsing. [#598948, José Millán Soto]

	* SoupSession now avoids redundant DNS lookups again when
          first connecting to a new site, resulting in (probably
          imperceptibly) faster loads.

	* Added some debugging APIs to SoupConnection and SoupSession
          for use by, eg, epiphany's soup-fly extension. [#589163,
          José Millán Soto]

Changes in libsoup from 2.28.0 to 2.28.1:

	* libsoup will now attempt to make multiple connections to a
          server at once when there are multiple messages queued to
          that server. The previous behavior (only allowing a single
          pending connection to each server) resulted in slow load
          times on pages with lots of subresources (images, css, js,
          etc) on servers that disallow persistent connections.
          [#594768]

	* There should now be fewer (no?) "Connection terminated
          unexpectedly" errors in WebKitGTK.

	* Fixed a crash in SoupCookieJarSqlite [#596859, patch from
          Alexander Sack].

	* Fixed soup_address_get_physical() and address-to-name
          resolution of SoupAddress [patch from Enrico Tröger].

	* Fixed a bug in SoupContentSniffer that could cause false
          negatives [#597545, patch from Alejandro Castro].

	* Fixed the configure error if you have gnutls-devel but not
          gcrypt-devel installed [#587709].

Changes in libsoup from 2.27.92 to 2.28.0:

	* Fixed a handful of leaks found with valgrind, including a
          large one in SoupContentSniffer [WebKit bug 28148].

	* Changed the behavior of SoupCookieJarSqlite to improve
          performance. [#584522, patch from Gustavo Noronha Silva]

	* Fixed a crash in SoupSocket that affected gupnp. [#594951,
          patch from Olivier Crête]

	* Fixed the type of the SOUP_METHOD_* and SOUP_URI_SCHEME_*
          macros to be const char * rather than gpointer. [#594508]

Changes in libsoup from 2.27.91 to 2.27.92:

	* Removed SoupPasswordManager from the public API until its
          problems can be addressed. Although it is still present, you
          need to #define a special symbol for it to be visible in the
          header files; see #594377 for details.

	* Fixed a bug where empty query components were dropped from
          URIs. [#594405]

	* Fixed "make check" to work (but warn) when building with
          --disable-ssl.

	* Fixed some small documentation bugs pointed out by Dominik
          Bylica and Lucian Langa.

Changes in libsoup from 2.27.90 to 2.27.91:

	* Added SoupPasswordManager, an interface for managing
	  persistent password storage, and SoupPasswordManagerGNOME
	  (in libsoup-gnome), which implements it using gnome-keyring.
	  tests/get.c provides a minimal example of how to use it.

	* libsoup should now notice when the server closes a
          persistent connection, and close its side of the connection
          sooner. This should hopefully fix the spurious "Connection
          terminated unexpectedly" errors in WebKitGTK. [#578990]

	* Fixed some problems with connection management in
          SoupSession that could cause a session to eventually "stall"
          and be unable to process new requests. [#592084]

	* Fixed an infinite loop that caused 100% CPU usage if the
          network went down at exactly the right time while there were
          unsent messages in the queue. [#592492]

	* Fixed a crash in SoupLogger. [#591857]

	* Fixed the definition of soup_message_is_keepalive() for
          HTTP/1.0 messages, to fix a problem introduced in 2.27.90
          where some messages would load completely but never emit
          "finished".

	* Fixed a crash in SoupServer introduced in 2.27.90 when
          processing a request with no "Host" header.

Changes in libsoup from 2.27.5 to 2.27.90:

	* libsoup now uses glib's GResolver rather than its own DNS
          code. For 2.27.90, the only visible change should be that
          internationalized domain names are now supported. [#548287]

	* Added soup_message_disable_feature(), which allows you to
          disable particular features (eg, cookies, proxy,
          content-sniffing, etc) on a per-message basis. [#574773]

	* It is now possible to implement "OPTIONS *" in a SoupServer;
          you must explicitly register a handler for "*" in order to
          do this. [#590751]

	* Ignore Content-Length on EOF-terminated responses, to match
          other browsers and therefore cope with broken servers that
          send the wrong length. [Patch from Benjamin Otte.]

	* Fixed the status code when trying to fetch an https URI with
          a non-gnutls build of libsoup. [#590464]

	* Fixed strict-aliasing warnings introduced in 2.27.4
          [#588771]

	* Fixed some warnings noted by fortify [#591226] and -Wextra.

	* libsoup now uses automake 1.11's silent-rules support by
          default (if you are building with automake 1.11). Use
          "./configure --disable-silent-rules" or "make V=1" to
          disable.

Changes in libsoup from 2.27.4 to 2.27.5:

	* Fixed a crash when a web server redirected a request to a
          non-http URI (eg, "about:blank"). [#528882]

	* Fixed a hang when trying to create an attachment on certain
          bugzilla installations from epiphany. [#584645]

	* Fixed verification of V1 TLS certificates [#589323, Patrick
          Ohly]

	* Fixed compile problems on Windows (in the ssl code), and on
          Linux (when the most recent version of gtk-doc was
          installed).

Changes in libsoup from 2.27.2 to 2.27.4:

	* Added SoupContentSniffer and the "content-sniffed" signal on
          SoupMessage, to do Content-Type sniffing per the HTML5 /
          draft-abarth-mime-sniff algorithm. [#572589, Gustavo Noronha
          Silva]

	* Updated the earlier SoupSession timeout fixes ([#574414],
          [#578928]) so that async connect() also times out [#588177,
          Mark Nauwelaerts] and SSL works on Windows again [#587910,
          Fridrich Strba].

	* Fixed the behavior on a 301 response to a POST to match
          real-world usage rather than what the spec says. (We were
          doing the right thing on 302 and 303, but had missed 301.)
	  [#586692]

	* Changed configure so that if GNUTLS isn't found then it
	  errors out, rather than silently building an SSL-less
	  libsoup. Configure with --disable-ssl if you actually don't
	  want SSL. [#584955]

Changes in libsoup from 2.27.1 to 2.27.2:

	* Replaced SoupProxyResolver with SoupProxyURIResolver, which
          is a bit simpler, works with non-HTTP URIs (and so could be
          used by gvfsd-ftp) and supports proxy auth correctly.
          [#580051]

	* Fixed SoupSession to not try to resolve http server
          hostnames when it's just going to pass the hostname off to a
          proxy server anyway. This fixes things on hosts that use a
          proxy for everything and have no working DNS config
          [#577532] and also makes WebKitGTK behave more like other
          browsers in terms of per-host connection limits (we now
          limit connections based on hostname rather than on IP
          address).

	  We also no longer set the AI_CANONNAME flag when calling
	  getaddrinfo(), which saves us a little bit of unnecessary
	  network traffic. [Pointed out by Christophe Gillette on the
	  mailing list.]

	* libsoup now always uses SSL 3.0 (not TLS 1.0 or 1.1) for
          https URIs, to work around problems with older servers that
          don't implement the (apparently quite confusing) TLS/SSL
          compatibility rules correctly. Makes a bunch of
          previously-inaccessible sites now accessible in WebKitGTK
          (notably PayPal) [#581342]. Will eventually be revisited, to
          first try TLS 1.1 and fall back if that fails.

	* Fixed Digest auth to (recent) Apple CalDAV servers.
          [#583091]

	* Changed the way the SoupSession "authenticate" signal works
          a bit. We now never emit "authenticate" before sending a
          request, even if we know for sure that it's going to fail,
          because this makes the semantics of the authenticate handler
          too complicated (and because we'll only get into this
          situation if a previous call to the authenticate handler
          failed anyway). Fixes problems in WebKitGTK when you cancel
          a password dialog, and then later try to load the page
          again. [#583462, mostly figured out by Gustavo Noronha
          Silva].

	* Fixed a bug in the CRLF-vs-LF patch (#571283) that caused
          libsoup to fail to parse the response headers (returning
          SOUP_STATUS_MALFORMED) if a CR LF got split across two
          read()s. [#582002]

	* Allow using PUT in soup_form_request_for_data(), to work
          with certain broken web APIs. [#581860, Ross Burton]. Also,
          fixed a problem with empty POST bodies that made some parts
          of gmail not work in WebKitGTK.

	* Applied some minor bugfixes to configure.in and autogen.sh
          [#583911, #583942]. Fixed configure.in to not use gcc
          warning options that the installed version of gcc doesn't
          recognize [#578851].

	* Added G_GNUC_NULL_TERMINATED and G_GNUC_PRINTF to a few
          methods that should have had them. [#581754, Ross Burton]

Changes in libsoup from 2.26.1 to 2.27.1:

	* SOUP_SESSION_TIMEOUT now works properly with
          SoupSessionAsync [#574414] and SSL [#578928]. Added
          tests/timeout-test to test this.

	* SoupDate fixes:

		* soup_date_to_string() now handles SOUP_DATE_RFC2822
		  [#579055, Enrico Tröger]

		* soup_date_new_from_string() now accepts 24:00 as a
		  time in ISO8601 timestamps

		* soup_date_to_string() now coerces the date to UTC
		  for HTTP and cookie dates, and outputs the UTC
		  correct offset for the other date types.

		* Added regression tests to tests/date

	* soup_headers_parse() now completely ignores
          syntactically-incorrect headers, rather than passing them to
          soup_message_headers_append() and causing a g_warning.
          soup_message_headers_append() now also rejects 0-length
          header names. Updated tests/header-parsing to check this.
          [#579318]

	* Fix a crash when cancelling a message from a "restarted"
          handler, and updated a regression test to notice the
          underlying cause. [#580193]

	* Completing the API updates for #576760 from 2.26.1,
          soup_message_headers_get() is now marked deprecated in favor
          of soup_message_headers_get_one() and _get_list().

Changes in libsoup from 2.26.0 to 2.26.1:

	* libsoup uses libproxy for PAC and WPAD proxy resolution
          again. However, it arranges to do all communication with
          GConf itself, to ensure that libproxy doesn't call it in
          non-thread-safe ways. [#571527] Also, fixed a bug in
          SoupSessionSync when proxy resolution failed. [#574957,
          patch from Milan Crha].

	  (Also fixed three SoupProxyResolverGNOME bugs since the
	  2.26.0.9 preview release. [#578746, #578809])

	* SoupURI now handles unencoded spaces in URIs. In particular,
          redirects via Location headers with spaces in them now work.
          [#566530]

	* libsoup can now deal with servers (and clients) that
          erroneously use LF LF instead of CR LF CR LF to separate
          the headers and body. [#571283]

	* Added soup_message_headers_get_one() and
          soup_message_headers_get_list(), which will eventually
          deprecate soup_message_headers_get(). This lets applications
          deal correctly with implementations that erroneously send
          multiple copies of single-valued headers. [#576760]

	* In particular, soup_message_headers_get_content_type() now
          ignores duplicate Content-Type headers [#576760] and also
          ignores syntactically-incorrect Content-Type headers.
          [#577630]

	* SoupCookieJar can now store multiple cookies with the same
          domain and name, but different paths. [#577360]

	* Abnormal SSL connection closes are now treated as ordinary
          EOFs, for compatibility with certain sites. [#577386]

	* soup_header_g_string_append_param() now allows NULL values.
          [#577728]

	* soup_message_headers_append() now rejects header names and
          values with newlines or certain other illegal data in them,
          rather than generating syntactically invalid headers.

	* Fixed a small bug in soup_date_new_from_string's ISO 8601
          handling [qv #578369 for g_time_val_from_iso8601].

	* The regression tests now work correctly on machines where
          "localhost" resolves to "::1" instead of "127.0.0.1".
          [#576583, patch from Andreas Rottmann]

	* Fixed warnings when a message has a network problem when
          many other messages are queued. [#578809]

	* Miscellaneous documentation fixes/clarifications.

Changes in libsoup from 2.25.91 to 2.26.0:

	* Temporarily disable libproxy support to work around a bug in
          its gnome plugin that causes gvfsd-http (and probably
          eventually other apps) to crash. [#571527]. For now,
          SoupProxyResolverGNOME uses only GConf. To be fixed in
          2.26.1

	* Fixed a bug that showed up in WebKit, where if many messages
          were queued all at once to a server that doesn't support
          persistent connections, some of the requests will get lost.
          #574365, reported by Xan Lopez.

	* Fixed SoupServer to support using SOUP_ENCODING_EOF, so you
          can stream responses of unknown length to HTTP/1.0 clients.
          [#572153]. Added a regression test for this, and for chunked
          and Content-Length-based streaming.

	* Fixed several bugs that prevented SoupCookieJarSqlite from
          working. [#572409, patch from Xan Lopez]

	* Added G_{BEGIN,END}_DECLS guards to public headers that were
          missing it. (Xan Lopez)

	* Misc gtk-doc improvements

Changes in libsoup from 2.25.5 to 2.25.91:

	* Fixed a crash in SoupProxyResolverGNOME when the proxy
          requires authentication. (This does not make proxy
          authentication *work* yet, it just makes it not crash.)

	* Updated documentation

Changes in libsoup from 2.25.4 to 2.25.5:

	* SoupProxyResolverGConf (which was incomplete) is gone, and
          libsoup-gnome now requires libproxy, which is now officially
          an external dependency of GNOME.

	* Fixed a bug in SoupCookieJar that was making it send
          "Cookie: (null)" when it had no cookies for a site, which
          confused some web servers (WebKit bug 23240).

	* Fixed a bug with using SOUP_MEMORY_TEMPORARY buffers and
          soup_message_body_set_accumulate(FALSE). (Part of WebKit bug
          18343, noticed by Gustavo Noronha Silva.)

	* Fixed the build with non-gcc compilers

Changes in libsoup from 2.25.3 to 2.25.4:

	* Added soup_session_get_feature() and
          soup_session_get_features(), to query the features currently
          available in a session (which is needed by the patch in
	  https://bugs.webkit.org/show_bug.cgi?id=22624)

Changes in libsoup from 2.25.2 to 2.25.3:

	* Fixed a crash when using both cookies and a proxy. [#562191,
          Mark Lee]

	* Fixed soup_form_decode() to correctly handle forms with
          URI-encoded parameter names [#563302, Evan Nemerson] and
          added a regression test.

	* Fixed a crash in SoupProxyResolverGConf. [#563145]

Changes in libsoup from 2.25.1 to 2.25.2:

	* Fixed client behavior when presented with multiple auth
          types to choose the *strongest* auth type (eg, Digest)
          rather than the *weakest* one [#562339, Pontus Oldberg].
          Added a regression test for this.

	* Moved libsoup-gnome headers to a different directory to make
          it easier to split libsoup and libsoup-gnome into separate
          packages, and to ensure that things that only want to be
          looking at plain libsoup headers (like gir-repository) don't
          accidentally see the libsoup-gnome ones.

	* Some minor doc fixes

	* Fixed libsoup-gnome linking with --as-needed. [#559342]

Changes in libsoup from 2.24.1 to 2.25.1:

	libsoup 2.25.1 introduces a new library, libsoup-gnome, which
	will be used for features which are important to GNOME apps,
	but which require GNOME-specific libraries that non-GNOME apps
	may not want to add dependencies on.

	In 2.25.1, libsoup-gnome contains:

	    * SOUP_TYPE_PROXY_RESOLVER_GNOME, a SoupSessionFeature
              type that can be added to a SoupSession to provide
              automatic proxy handling via the GConf proxy keys. (See
              below) The default implementation uses libproxy, which
              also handles WPAD, PAC, etc, but if libproxy is not
              available it will use GConf directly, supporting only
              the basic HTTP proxy functionality.

	    * SoupCookieJarSqlite, a SoupSessionFeature that handles
              cookies and stores them in a Firefox 3-compatible sqlite
              file. (This is not actually a "GNOME-specific" feature,
              but I didn't want to make libsoup itself depend on
              sqlite, and I didn't want to make the dependency
              optional. This might change before 2.26.)

	    * SOUP_TYPE_GNOME_FEATURES_2_26: a SoupSessionFeature type
              that can be added to a SoupSession to add all
              GNOME-integration features that are available for 2.26;
              as of 2.25.1, this is just the GNOME proxy resolver, but
              by 2.26.0 it may also include gnome-keyring support and
              possibly other features.

	Applications/libraries that are currently doing GConf proxy
	lookup by hand can be updated as follows:

	    * Remove all of the existing code that listens to the
              GConf keys and sets SOUP_SESSION_PROXY_URI

	    * Change the configure check to require
	      "libsoup-gnome-2.4 >= 2.25.1" instead of "libsoup-2.4"

	    * #include <libsoup/soup-gnome.h>

	    * After creating your SoupSession, do:

	          soup_session_add_feature_by_type (session, SOUP_TYPE_PROXY_RESOLVER_GNOME);

	      (Or alternatively, use SOUP_SESSION_ADD_FEATURE_BY_TYPE
	      with soup_session_async_new_with_options() or
	      soup_session_sync_new_with_options().)


	Other new features and bug fixes in 2.25.1 include:

	* SoupCookieJarText, like SoupCookieJarSqlite, but using the
          old-style cookies.txt format, and in the base libsoup rather
          than libsoup-gnome.

	* Various bugfixes to SoupCookie and SoupCookieJar to fix the
          problems with cookies not working on certain sites.

	* The new SoupMultipart type provides support for multipart
          MIME bodies, and soup-form now includes several methods for
          generating and parsing multipart form data and file uploads.

	* SoupMessageHeaders now has methods for easy handling of the
	  Content-Type, Content-Disposition, Range, and Content-Range
	  headers. The Content-Disposition handling recognizes
	  RFC2231-encoded UTF-8 filenames.

	* SoupServer now automatically handles partial GET requests;
          if your server returns SOUP_STATUS_OK in response to a
          partial GET, libsoup will automatically convert it to a
          SOUP_STATUS_PARTIAL_CONTENT response with only the requested
          portions.

	Thanks to Xan Lopez and Diego Escalante Urrelo for their work
	on SoupCookie, SoupCookieJar, SoupCookieJarText, and
	SoupCookieJarSqlite.

Changes in libsoup from 2.24.0.1 to 2.24.1:

	* Fixed a crash when unreffing the session from a
          soup_session_queue_message() callback [#533473], and added
          regression test. In particular, this fixes a crash in
          seahorse when trying to connect to a non-responsive
          keyserver.

	* Fixed an infinite loop when giving a bad password to a site
          that uses non-standard capitalization in the
          WWW-Authenticate header (eg, gmail.com) [#536285].

	* Fixed a leak in SoupSessionAsync when using a non-default
          GMainContext. [addendum to #498509, Arnout Vandecappelle]
          Added additional code to the regression tests to make sure
          sessions and servers do not get leaked.

	* Fixed a leak in the XML-RPC code

	* Compile fixes for "gcc -pedantic" [#553976, Sander Dijkhuis]
          and -DG_DISABLE_DEPRECATED / -DG_DISABLE_SINGLE_INCLUDES
          [#557072, Cosimo Cecchi]

	* Patched xmlrpc-test to accept the incorrect response to
          test_echo() that php-xmlrpc gives when it's built against
          libxml2 >= 2.7.1 (qv http://bugs.php.net/45996), so that
	  I can "make distcheck"...

	* Updated generated documentation

Changes in libsoup from 2.23.92 to 2.24.0.1:

	* Reverted part of the fix for #528882, which caused the DAAP
          plugin in rhythmbox to crash. [#553466]

Changes in libsoup from 2.23.91 to 2.23.92:

	* Fixed the handling of a 302 response to a HEAD request,
	  which should NOT be treated like a 303 response. [#551190,
	  Jonathan Matthew]

Changes in libsoup from 2.23.6 to 2.23.91:

	* Fixed a crash in gvfs [#528882], though there is still an
          unknown bug there. As part of this fix, libsoup will now
          return an error if you try to do an operation on a non-HTTP
          URI. (Previously it was just treating any URI scheme except
          "https" as HTTP.)

	* Added soup_date_to_timeval() for gvfs. [#549006, patch from
          Bastien Nocera]

Changes in libsoup from 2.23.1 to 2.23.6:

	* Fixed use of g_idle_add() so that heavy I/O won't end up
          blocking libsoup callbacks. [#536676, Benjamin Otte]

	* Allow the caller to override the Host header. [#539803, Marc
          Maurer]

	* Properly handle responses larger than 4G. [#539861, Peter
          Christensen]

	* Fixed the build when using certain LDFLAGS [#541506, Götz
          Waschk]

	* Fixed a small bug in Digest auth handling. [#544681, Mads
          Chr. Olesen]

	* Fixed multiple Windows bugs [Tor Lillqvist]

Changes in libsoup from 2.4.1 to 2.23.1:

	* This is the first unstable release leading up to GNOME 2.24.
          Bumped the libsoup version number up to 2.23.x to match the
          GNOME version; note that the API version is still "2.4",
          meaning in particular that you still call it "libsoup-2.4"
          when using pkg-config.

	* Added SoupSessionFeature, an interface type that will be
          used for several new features. Ported SoupLogger and
          SoupAuthManager to use it.

	* Added SoupCookie and SoupCookieJar. This API is already
          being used in Epiphany, via WebKit, but it is not yet
          complete.

	* Fixed GnuTLS support on Win32. [#528752, Marc Maurer]

Changes in libsoup from 2.4.0 to 2.4.1:

	* Fixed SoupMessage to not downgrade to HTTP/1.0 for the
          second attempt when it receives an HTTP/1.0 redirect or 401.
          [#521848, Tommu Komulainen]

	* Fixed Host: header syntax when the host is an IPv6 address
          literal.

	* Fixed SoupSession to not emit "authenticate" multiple times
	  for messages that have been requeued. [#522601, Tommi
	  Komulainen]. Also added two new signals to SoupSession,
	  request-queued and request-unqueued, to help simplify
	  certain session-helpers and avoid bugs like this in the
	  future.

	* Fixed soup_server_pause_message() to actually work (rather
          than *un*pausing the message).

	* Added a property SOUP_SESSION_IDLE_TIMEOUT that can be used
          to set a timeout after which idle connections will
          automatically be closed. [#518214, Jorn Baayen]

	* Implemented RFC 2069-style Digest auth, and fixed SoupAuth
          to compare auth scheme names case-insensitively, to fix
          authentication against Apple's calendar server. [#498484]

	* Fixed a crash in SoupAuthDomainDigest if the client provided
          an unrecognized username. [pointed out by Curtis Magyar on
          IRC]

	* Fixed a few SoupDate bugs. (In particular, it was outputting
          the wrong day of the week when stringifying dates.)

	* Improved the cleanup of idle connections, to fix slow load
          times with the libsoup backend of WebKit.

	* Added a new SoupMessage signal "wrote-body-data" that can be
          used for progress information when sending a large request
          body. Also allow providing the request body in multiple
          chunks even when using Content-Length encoding. [#525101,
          Christian Kellner]

	* libsoup now ignores SIGPIPE globally, instead of
          un-thread-safe-ly ignoring it only around network writes. In
          particular, this means it is ignored when the SSL code needs
          to unexpectedly do a write when we asked it to do a read.
          [#524397, Curtis Magyar]

	* The discard-body-chunks-once-they're-no-longer-needed
          behavior, confusingly called SOUP_MESSAGE_OVERWRITE_CHUNKS,
          is now controlled by a SoupMessageBody method
          (soup_message_body_set_accumulate()), and can be applied to
          either the request body or the response body.
          (OVERWRITE_CHUNKS is still available for backward
          compatibility.) [#522146, Christian Kellner]

	* The DNS cache no longer caches "no such host" results, since
          some name servers lie to clients outside their firewall,
          which could then cause problems for laptops moved between
          networks. [#523269, Jörgen Scheibengruber]

	* Added some new regression tests, fixed some small bugs in
          the existing ones.

Changes in libsoup from 2.3.4 to 2.4.0:

	* Fixed a small memory leak in SoupSession. [#518798, Wouter
          Cloetens]

	* Minor fixes to redirect behavior; PROPFINDs can now be
          automatically redirected (pointed out by Christian Kellner),
          and 302 is treated like 307, not 303. Also fixed to make
          sure that redirect-test actually gets run by "make check".

	* The SoupSocket I/O methods now set nread/nwrote even on
          error. [Benjamin Otte]

Changes in libsoup from 2.3.2 to 2.3.4:

	* The documentation should be accessible from devhelp again
          [#518384, Mart Raudsepp]. (Also fixed another
          documentation-generation bug that affected builds from svn,
          but not the 2.3.2 tarball for some reason. [#518317,
          Benjamin Otte].)

	* Fixed dependencies in libsoup-2.4.pc file [#517631,
          Sebastian Dröge]

Changes in libsoup from 2.3.0.1 to 2.3.2:

	API changes / Behavior changes:

	* soup_server_add_auth_domain() now refs the auth domain when
          adding it. (soup_server_remove_auth_domain() already
          unreffed it.) This means existing applications using
          SoupAuthDomain will now have a small memory leak. Those
          applications should update their libsoup-2.4 requirement to
          ">= 2.3.2" at some point before the final GNOME 2.22.0
          release, and then fix the code to unref the auth domain
          after adding it to the server.

	* SoupSession's automatic redirect-handling behavior now obeys
          RFC 2616 more closely. In particular, status codes 300 and
          304 are no longer mistakenly considered redirects; POSTs
          that receive 303 are now redirected into GETs; and POSTs
          that receive 301, 302, or 307 are now not redirected.

	  Applications that were using the SOUP_MESSAGE_NO_REDIRECT
	  flag to prevent libsoup from redirecting POSTs incorrectly
	  before should now be able to remove that if they depend on
	  libsoup-2.4 >= 2.3.2.

	API additions:

	* Added a SOUP_SESSION_USER_AGENT property to SoupSession, and
          SOUP_SERVER_SERVER_HEADER to SoupServer, to support
          automatically adding "User-Agent" and "Server" headers to
          messages. (The default behavior is to do nothing, as
          before.)

	* Added several new methods to soup-forms.h. Applications that
          are encoding a fixed set of form fields can now just pass
          them to soup_form_encode(), rather than needing to construct
          a GHashTable or GData list. (Likewise, the new
          soup_uri_set_query_from_fields() behaves similarly for
          directly updating a URI with form data.) There are also now
          soup_form_request_new() and other related methods, to
          directly create a GET or POST SoupMessage for submitting a
          form query.

	  The original soup_form_* methods have all been renamed,
	  although #defines exist for backward compatibility.

	* Added soup_message_set_chunk_allocator() and
	  soup_buffer_new_with_owner(), to give applications more
	  control over memory usage/copying when doing streaming HTTP.
	  [Wouter Cloetens, #513810].

	* Added several new methods to soup-value-utils.h for working
          with multiple array or hash table values at once:
          soup_value_hash_new_with_vals(),
          soup_value_hash_insert_vals(),
          soup_value_hash_lookup_vals(),
          soup_value_array_new_with_vals(), and
          soup_value_array_append_vals().

	  This helps to simplify XML-RPC calls that send or receive
          structs or arrays.

	* Added soup_date_to_time_t().

	* Added SoupMessageHeadersIterator, an iterator type for
          SoupMessageHeaders that can be used instead of
          soup_message_headers_foreach().

	Bug fixes:

	* Fixed a crash-when-idle in evolution-exchange [#437835] and
          rhythmbox [#506552].

	* Added the API version to the gtk-doc installation dir, to
          prevent parallel-installation problems with libsoup 2.2 and
          2.4. [#512810, Daniel Gryniewicz].

	* Fixed tests/query-test to compile correctly on Solaris.
          [#513602, patch from Jeff Cai]

	* Fixed some other minor HTTP conformance issues.

	Python bindings:

	* Although not present in the release tarball, there are now
          experimental python bindings for libsoup in GNOME subversion
          (in the python/ subdirectory of libsoup trunk). These are
          not yet stable (and are not built by default or installed
          even when building from svn), but comments on them are
          welcome at libsoup-list@gnome.org

Changes in libsoup from the 2.2 series to 2.3.0.1:

	libsoup 2.3.0 is the first beta release of the libsoup 2.4
        series. It is an API break from the earlier 2.2 series that
        fixes various bugs and API warts and lays the groundwork for
        language bindings and various new features in upcoming
        releases.

	(2.3.0.1 is identical to the 2.3.0 release in terms of code,
	but includes this updated NEWS file which was accidentally
	left out of the 2.3.0 tarball.)

	http://library.gnome.org/devel/libsoup/unstable/libsoup-porting-2.2-2.4.html
	goes over the API changes in detail. If you have questions not
	answered by the porting document, please send mail to
	libsoup-list@gnome.org.

	Specific user-reported bugs fixed in this release:

	* SoupURI now correctly handles URIs with complex encoded
          queries [#266516, Jean-Yves Lefort]

	* It is now possible for a SoupServer to use Digest auth
          without needing to have the cleartext password available.
          [#347108, Anas Nashif]

	* Digest authentication now properly handles "stale=true" and
          "nextnonce=..." [#471380, Jari Urpalainen]

	* SoupServer is now subclassible [#491653, Mathias Hasselmann]

	* soup_server_run_async and soup_server_quit no longer ref and
          unref the server, as that doesn't match ordinary GObject
          conventions [#494128, Mathias Hasselmann]

	* The test programs no longer use a symbol name that conflicts
          with Cygwin [#501631, Cygwin Ports Maintainer]

	* libsoup can now handle the not-quite-HTTP responses returned
          by Shoutcast servers [#502325, Wouter Cloetens]

	* If you use libsoup while disconnected from the network, it
          no longer caches the failed DNS results [#508593, Bradley
          Worley]

	Items from http://live.gnome.org/LibSoup/ToDo fixed:

	* "Expect: 100-continue" processing now works correctly on
	  both client and server.

	* SoupSessions are no longer leaked

	* The XML-RPC API is improved. The SOAP API is gone...

	* Added utility functions for HTML form handling

	* Improved message header handling

	* SoupServer now automatically adds a "Date" header

==========

Changes in libsoup from 2.2.103 to 2.2.104:

	* soup_message_io_pause() and soup_message_io_pause() are now
	  allowed for client messages (and in particular, they don't
	  mess up when called from the "got_chunk" callback).
	  [#452280, Marco Barisione]

	* Fixed some bugs in SOUP_SESSION_ASYNC_CONTEXT support that
	  would cause parts of an operation to run in the default
	  context rather than the session's context. Also fixed some
	  leaks and added a regression test. [#498509, Wouter
	  Cloetens]

	* There is a new test/sample program, tests/pull-api.c,
	  showing how to implement a pull API using SoupSessionAsync.
	  (This depends on the fixes for #452280 and #498509, so it
	  won't work with older versions of libsoup.)

	* Discovered "valgrind --leak-resolution=med" and fixed some
          more memory leaks.

Changes in libsoup from 2.2.102 to 2.2.103:

	* Fix memory corruption in SoupSessionAsync that caused
          rhythmbox to crash. [#484988, patch from Rob Bradford]

	* Fix socket refcounting in SoupServer to fix warnings /
          possible crash. [#459896, Emanuele Aina]

Changes in libsoup from 2.2.101 to 2.2.102:

	* Unbreak the build when building without SSL. Not that you
          should be building without SSL anyway, but... (reported by
          guenther).

Changes in libsoup from 2.2.100 to 2.2.101:

	* Fix build on cygwin [384498]

	* Fix SSL rehandshaking on synchronous sockets [415402, Jacob
          Berkman] and add a regression test for it.

	* Fix two bugs in https tunnels over proxies that require
	  authentication (noticed by Varadhan), and add a regression
	  test for them.

	* Ensure that if you queue multiple messages at once to an
	  http server that requires authentication but that you
	  haven't authenticated to yet, that all of the messages get
	  properly authenticated [271540, James Willcox]. And add a
	  regression test for it.

	* Fix NTLM authentication, which got broken by the previous
          fix. [471389, Varadhan]. Add a basic NTLM regression test
          that doesn't really test the crypto/encoding parts, but at
          least makes sure that the message flow is correct.

	* Allow trailing whitespace after HTTP version in
          Response-Line, for compatibility with broken servers
          [475169, Stephane Loeuillet]. Add that case to the
          header-parsing regression test.

	* Fix crash when the session's "authenticate" handler returns
	  a username and no password when using NTLM. [480987, Wendell
	  MacKenzie]

	* Use "new" glib base64 and iso8601 methods rather than
          duplicating them. [337010, patch from Emmanuele Bassi].

	* Implement soup_session_queue_message() for SoupSessionSync.

	* Add G_BEGIN_DECLS / G_END_DECLS to all headers that were
          missing them. [438776, patch from Jonathon Jongsma].

	* Fix broken definition of SOUP_IS_MESSAGE_FILTER_CLASS. Noted
          by "cascardo" on libsoup-list.

	* Remove documentation of non-public MD5 methods [440092,
          Jonathon Jongsma]. Removed a mysterious half-sentence in the
          SoupMessage docs [458116, Marco Barisione].

Changes in libsoup from 2.2.99 to 2.2.100:

	* Fixed soup_headers_parse_status_line() so WebDAV response
          parsing will work again. [406997]

	* Fixed a bug in the header-parsing regression test that
          caused the test to fail sometimes, even though the actual
          header-parsing code was fine.

Changes in libsoup from 2.2.98 to 2.2.99:

	* Fixed header parsing, including a crash in SoupServer with
          certain malformed requests [391970].

	* Fixed redirection to other hosts with SoupSessionAsync.
          [382251]

	* Fixed a small memory leak pointed out by Chris Austin.

Changes in libsoup from 2.2.97 to 2.2.98:

	* The XML-RPC code now correctly interprets <value>foo</value>
	  as meaning the same thing as
	  <value><string>foo</string></value>. [364490] Pointed out by
	  Todd Kulesza.

	* Memory leak fixes from Andrew W. Nosenko.

	* A few symbols that should have been static before now are.
	  [376387] Patch from Matthias Clasen.

Changes in libsoup from 2.2.96 to 2.2.97:

	* Fixed SOAP and XML-RPC code to handle whitespace and
          comments in the XML better. (Based on a patch from Andrew W.
          Nosenko.)

	* Fixed lots of typecasting/constness warnings in the code
          (mostly via a patch from Andrew W. Nosenko)

	* Fixed build on Cygwin [321827]

	* Fixed libsoup-2.2.pc fields [343340] and make it get
          uninstalled correctly [356809]. (Mikhail Zabaluev and
          Matthew Barnes)

	* Fixed some small leaks in SoupServer pointed out by Paolo
          Borelli. [351500]

Changes in libsoup from 2.2.95.1 to 2.2.96:

	* SoupServer now works even if you don't explicitly set an
	  encoding for the response. (In particular, the automatic 404
	  if you request a path with no handlers now works. Problem
	  pointed out by Dennis Jacobfeuerborn.)

	* WWW-Authenticate and Proxy-Authenticate responses with no
          realm parameter are now ignored, as per RFC 2617, fixing a
          crash pointed out by Nate Nielsen.

	* Added soup_xmlrpc_message_from_string(), from Fernando
          Herrera [348532].

	* simple-httpd and "get" now support HEAD

Changes in libsoup from 2.2.94 to 2.2.95.1:

	* Even more fixes to XML-RPC, found by the new XML-RPC
          regression test. This includes some API changes that I don't
          feel guilty about, because the code totally didn't work at
          all before.

	* Fixed a bug in soup_mktime_utc()

	* (2.2.95 was identical to 2.2.95.1. The only difference is
	  that the shared library version was belatedly bumped from
	  8.2.0 to 8.3.0 to reflect the API "additions")

Changes in libsoup from 2.2.93 to 2.2.94:

	* Various fixes to the XML-RPC code (which apparently had not
	  actually ever worked before) from Brent Smith. [343973,
	  344222, 344458]

	* Added client and server API tutorials to the docs

	* auth-test now uses a local Apache 2.2 install, if possible,
          rather than depending on files that used to be on an old
          Ximian web server but haven't been anywhere for a long time.
	  [311825]

Changes in libsoup from 2.2.92 to 2.2.93:

	* Fixed outgoing data corruption caused when SoupServer
          started writing out a response a second time after already
          having started once. [334469]. Also fixed 342640 and another
          bug caused by the workaround for 334469 in 2.2.92. Based on
          patches and analysis from William Jon McCann and Armin
          Bauer.

	* Fixed a deadlock when changing a session's proxy URI.
          [309867 / bnc 174255, based on a patch by Veerapuram
          Varadhan].

	* Fixed https-via-proxies in the synchronous case. [bnc 174255]

	* Fixed a crash in evolution-exchange [342545, fix based on an
          analysis by Wang Xin].

	* Fixed simple-proxy to not crash at startup. Oops. (Alex
          Larsson)

Changes in libsoup from 2.2.91 to 2.2.92:

	* Fixed server-side digest auth to return a valid "algorithm"
	  value and client-side to not crash if it sees an invalid one
	  [328615].

	* Fixed the Request-Line parsing code to not hardcode a
          maximum URI length (to allow very long DAAP requests from
          iTunes in Rhythmbox). [335040]

	* Fixed some warnings (signed/unsigned mismatch).

Changes in libsoup from 2.2.7 to 2.2.91:

	* (The large version number bump is because there was an
	  internal 2.2.90 release for SUSE 10.1 alphas, which was
	  supposed to be intermediate between 2.2.7 and 2.4.0. But
	  2.4.0 didn't end up happening, and I don't want to regress
	  the version number at this point.)

	* SoupSession, SoupServer, SoupConnection, SoupSocket, and
          SoupAddress now have an "async-context" property that allows
          you to use the async API in a non-default GMainContext.
          [Based on patches from Armin Bauer and Jürg Billeter.]

	* SoupSession, SoupConnection, and SoupSocket now have a
          "timeout" property to stop synchronous sockets from hanging
          forever if the remote end is unresponsive (from Varadhan).

	* Fixed some bugs in soup_date_iso8601_parse(). [324671, from
          Emmanuele Bassi]

	* More Windows build fixes from Tor.

Changes in libsoup from 2.2.6.1 to 2.2.7:

	* Fixed a crash when using NTLM connections [316313, probably
	  also 318252]. (Also 321208, which was a bug introduced in
	  the original fix for 316313.)

	* Fixed a bug that could cause soup to suck up all available
          CPU when a connection to a SoupServer was dropped by the
          other side [319305, patch from Jonathan Matthew]

	* Fixed the creation of struct elements in XMLRPC messages
	  [321362, patch from Sebastian Bauer]

	* Plugged a small memory leak in SoupSocket (from Wang Xin).

	* Fixed two compile problems, a gccism [320349, patch from
          Roland Illig], and a strict-aliasing warning from gcc 4.1.

Changes in libsoup from 2.2.6 to 2.2.6.1:

	* Fixed a crash when using SoupSoapMessage

Changes from 2.2.5 to 2.2.6:

	* Fixed a crash when canceling a message (from Tambet Ingo)

	* Fixed a bug where a connection could be leaked forever in
          some circumstances if a request got a 30x, 401, or 407
          response, eventually causing a hang when the session hit its
          maximum connection limit. (Dan/Tambet)

	* Fixed a memory leak. (Tambet)

	* Fixed a bug that would sometimes show up when connecting to
	  a server on localhost [#312540]

	* Added some API to SoupServer and SoupSocket to help fix a
          long-standing rcd bug.

Changes from 2.2.4 to 2.2.5:

	* Win32 support (from Tor Lillqvist)

	* Up-to-date API documentation pretty much everywhere

	* Basic XMLRPC support (from Mariano Suarez-Alvarez, Fernando
	  Herrera, and Jeff Bailey)

	* New HTTP timestamp-manipulation methods soup_date_parse,
	  soup_date_generate, and soup_date_iso8601_parse.

	* SoupSession now handles relative URLs in the Location header
          (in violation of RFC 2616, but in line with how some servers
          behave.) [270688]

Changes from 2.2.3 to 2.2.4:

	* Fixed a problem with NTLM authentication against
	  multi-domain servers. [306877]

	* Fixed DNS lookups on Solaris. [254551, 268389]

Changes from 2.2.2 to 2.2.3:

	* Now compiles against gnutls 1.2.0 [257811]

	* Fixed a bug that could result in 100% CPU usage if an SSL
	  server closed the connection uncleanly. [273352]

Changes from 2.2.1 to 2.2.2:

	* The SSL validation fix from 2.2.1 [264414] is now completely
          fixed. (Part of the fix didn't actually make it into 2.2.1)

	* HTTPS certificate validation now works when using an HTTP
          proxy. [268583]

	* HTTP proxy code deals better with proxies that try to make
          the user do HTML-form-based authentication. [268531]

	* 64-bit fixes for NTLM auth code. [270323, from Michael
          Zucchi]

Changes from 2.2.0 to 2.2.1:

	* Updated for a libgcrypt API change between 1.1.9x and 1.2.x
          that caused a crash at runtime if you compiled against
          1.2.x. [266342]

	* SSL certificate validation failure should now always result
          in a status of SOUP_STATUS_SSL_FAILED, rather than getting
          turned into SOUP_STATUS_IO_ERROR. [264414]


Changes in libsoup from the 2.0 series (1.99.x versions) to 2.2:

	* Most of the libsoup datatypes are now GObjects. (SoupUri
	  is currently an exception to this.)

		* SoupMessage now emits signals at various stages of
	          processing. (Eg, "wrote_body", "got_headers".) (You
	          can also still use soup_message_add_*handler().)

	* SoupContexts are gone; soup_message_new() now takes a URI
	  string.

	* All formerly global state is now maintained by the
          SoupSession object. (This includes the connection pool,
          proxy server, cached authentication information, SSL
          certificates, etc.)

		* You can create a SoupSessionAsync (for 2.0-like
		  behavior) or SoupSessionSync (for blocking,
		  synchronous usage).

		* You can add SoupMessageFilter objects to a session
                  to have certain processing automatically performed
                  on every message sent via that session. (Eg, setting
                  up handlers.)

		* NTLM authentication is no longer supported by
	          default. You must enable it by setting the
		  SOUP_SESSION_USE_NTLM flag on the session.

		* The preferred method of handling authentication is
	          now via the "authenticate" and "reauthenticate"
	          signals on SoupSession. (The old style, of encoding
	          the user and password information into the url is
	          also still supported.)

	* The SOUP_ERROR_* values are now SOUP_STATUS_* (so that we
          don't have "SOUP_ERROR_OK" and the like).

		* SOUP_MESSAGE_IS_ERROR() is gone, since some cases
		  want to include 3xx responses and some don't.

		* SOUP_ERROR_CANT_AUTHENTICATE and
                  SOUP_ERROR_CANT_AUTHENTICATE_PROXY are now gone,
                  since they didn't carry any information that
                  SOUP_STATUS_UNAUTHORIZED and
                  SOUP_STATUS_PROXY_UNAUTHORIZED don't.

		* DNS errors now show up as the new status code
		  SOUP_STATUS_CANT_RESOLVE rather than being mixed in
		  with SOUP_ERROR_CANT_CONNECT.

	* Minimal SOAP support has been added back, via
          SoupSoapMessage/SoupSoapResponse

	* The HTTP I/O state machine was completely rewritten, fixing
	  numerous crashes, leaks, and protocol errors.

	* SoupUri now conforms to RFC 2396. Mostly.

	* Various test programs have been added under tests/

	* Removed:

		* Support for OpenSSL (which was horribly buggy) and
		  Mozilla NSS (which was never finished). We only
		  support GNUTLS for SSL now.

		* SOCKS support

		* CGI support in SoupServer
